Command.Event.Attach(Event.Addon.Startup.End, MapExtension.AE.Init, "Event.Addon.Startup.End - MapExtension.AE.Init")

function MapExtension.CreateEvents ()
	Command.Message.Accept(nil, MapExtension.Messenger.MessageVersion)
	Command.Message.Accept(nil, MapExtension.Messenger.MessageRare)
	Command.Event.Attach(Event.Message.Receive, MapExtension.Messenger.Receive, "Event.Message.Receive - MapExtension.Messenger.Receive")

	Command.Event.Attach(Command.Slash.Register(MapExtensionAddon.identifier), MapExtension.AE.ToggleWindow, MapExtensionAddon.identifier .. " - MapExtension.AE.ToggleWindow")
	Command.Event.Attach(Command.Slash.Register(MapExtension.AE.Command), MapExtension.AE.ToggleWindow, MapExtension.AE.Command .. " - MapExtension.AE.ToggleWindow")

	Command.Event.Attach(Event.Unit.Detail.Coord, MapExtension.AE.OnCoordinatesChanged, "Event.Unit.Detail.Coord - MapExtension.AE.OnCoordinatesChanged")
	Command.Event.Attach(Event.Unit.Add, MapExtension.AE.OnCoordinatesChanged, "Event.Unit.Add - MapExtension.AE.OnCoordinatesChanged")
	Command.Event.Attach(Event.Unit.Remove, MapExtension.AE.OnCoordinatesChanged, "Event.Unit.Remove - MapExtension.AE.OnCoordinatesChanged")

	Command.Event.Attach(Event.System.Update.End, MapExtension.Async.Execute, "Event.System.Update.End - MapExtension.Async.Execute")
	Command.Event.Attach(Event.System.Update.End, MapExtension.Messenger.SendQueue, "Event.System.Update.End - MapExtension.Messenger.SendQueue")
	Command.Event.Attach(Event.System.Update.End, MapExtension.Events.Achievement.AsyncLoad, "Event.System.Update.End - MapExtension.Events.Achievement.AsyncLoad")

	Command.Event.Attach(Event.Map.Add, MapExtension.Events.Map.Add, "Event.Map.Add - MapExtension.Events.Map.Add")
	Command.Event.Attach(Event.Map.Remove, MapExtension.Events.Map.Remove, "Event.Map.Remove - MapExtension.Events.Map.Remove")
	Command.Event.Attach(Event.Achievement.Complete, MapExtension.Events.Achievement.Complete, "Event.Achievement.Complete - MapExtension.Events.Achievement.Complete")
	Command.Event.Attach(Event.Achievement.Update, MapExtension.Events.Achievement.Update, "Event.Achievement.Update - MapExtension.Events.Achievement.Update")
	Command.Event.Attach(Event.Unit.Add, MapExtension.Events.Unit.Add, "Event.Unit.Add - MapExtension.Events.Unit.Add")
end