MapExtension.Menu.Options = {}

function MapExtension.Menu.Options.Init (parent)
	MapExtension.Menu.Options.window = MapExtension.GUI.Basic.CreateFrame(parent, "CENTER", 12, -65, 320, 150, 100, MapExtension.AE.UI.Window)
	MapExtension.Menu.Options.window:SetVisible(false)

	MapExtension.GUI.Basic.CreateTexture(MapExtension.Menu.Options.window, 0, 0, 320, 12, 0, "img/tooltip320-top.png", "TOPLEFT")
	MapExtension.GUI.Basic.CreateTexture(MapExtension.Menu.Options.window, 0, 0, 320, 26, 0, "img/tooltip320-bottom.png", "BOTTOMLEFT")
	MapExtension.Menu.Options.background = MapExtension.GUI.Basic.CreateTexture(MapExtension.Menu.Options.window, 0, 12, 320, 112, 0, "img/tooltip320-middle.png", "TOPLEFT")
	MapExtension.GUI.Basic.CreateTexture(MapExtension.Menu.Options.background, 5, 30, 320, 5, 0, "img/tooltip-separator.png", "TOPLEFT")

	MapExtension.GUI.Basic.CreateText(MapExtension.Menu.Options.background, "TOPLEFT", 20, 5, MapExtension.Data.Language.Current.Options)
	MapExtension.GUI.Basic.CreateCheckbox(MapExtension.Menu.Options.background, "TOPLEFT", 13, 40, 294, 20, 100, MapExtension.Data.Language.Current.CheckVersions, MapExtension.Menu.Options.ToggleCheck, nil, "checkVersion", MapExtensionUISettings.flags.checkVersion)
	MapExtension.GUI.Basic.CreateCheckbox(MapExtension.Menu.Options.background, "TOPLEFT", 13, 70, 294, 20, 100, MapExtension.Data.Language.Current.RareMobNotification, MapExtension.Menu.Options.ToggleCheck, nil, "rareNotification", MapExtensionUISettings.flags.rareNotification)
	MapExtension.GUI.Basic.CreateCheckbox(MapExtension.Menu.Options.background, "TOPLEFT", 13, 90, 294, 20, 100, MapExtension.Data.Language.Current.FilterCompleted, MapExtension.Menu.Options.ToggleCheck, nil, "filter", MapExtensionUISettings.flags.filter)
end

function MapExtension.Menu.Options.ToggleWindow (flag)
	if flag == nil then flag = not MapExtension.Menu.Options.window:GetVisible() end
	MapExtension.Menu.Options.window:SetVisible(flag)
end

function MapExtension.Menu.Options.ToggleCheck (ctrl, param)
	MapExtensionUISettings.flags[param] = ctrl.checkbox:GetChecked()
	if param == "filter" then MapExtension.Tracking.ApplyFilter() end
end
