MapExtension.Update = {
	Type3 = {}
}

function MapExtension.Update.FixData ()
	if MapExtension.Messenger.ParseVersion(MapExtensionTrackingResourcesPreload or "0.0.0") < 20100 then
		for dk, dv in pairs(MapExtension.Data.Tracking) do
			if dv.Type == 3 then
				for k, v in ipairs(dv.Data) do
					MapExtension.Update.Type3[v.name.English] = true
				end
			end
		end

		for k, v in pairs(MapExtensionTrackingResources) do
			for rk, rv in pairs(v.resources) do
				if MapExtension.Update.Type3[rk] then
					MapExtensionTrackingResources[k].resources[rk] = nil
				end
			end
		end
	end
end

function MapExtension.Update.PreloadData ()
	if MapExtension.Messenger.ParseVersion(MapExtensionTrackingResourcesPreload or "0.0.0") < MapExtension.Messenger.ParseVersion(MapExtensionAddon.toc.Version) then
		for k, v in pairs(MapExtension.Data.Preload) do
			if MapExtensionTrackingResources[k] == nil then
				MapExtensionTrackingResources[k] = { map = v.map, x = v.x, y = v.y, z = v.z, resources = {} }
			end
			for rk, rv in pairs(v.resources) do
				MapExtensionTrackingResources[k].resources[rk] = true
			end
		end

		MapExtensionTrackingResourcesPreload = MapExtensionAddon.toc.Version
	end
end
