MapExtension.Data.Tracking = {
	{
		Name = { English = "Plants", German = "Pflanzen", French = "Plantes", Russian = "Трава" },
		Type = 1, Group = true, Code = "plants",
		Data = {
			{ name = { English = "Sarleaf", French = "Sarfeuille", German = "Funkelblatt", Russian = "Sarleaf" }, icon = "plant19.png" },
			{ name = { English = "Lucidflower", French = "Floralucid", German = "Leuchtblume", Russian = "Ясноцвет" }, icon = "plant18.png" },
			{ name = { English = "Frazzleweed", French = "Herbe calcinée", German = "Fransenkraut", Russian = "Одолень-трава" }, icon = "plant17.png" },
			{ name = { English = "Chimera's Cloak", French = "Cape de la Chimère", German = "Chimeras Mantel", Russian = "Плащ химеры" }, icon = "plant16.png" },
			{ name = { English = "Twilight Bloom", French = "Fleur du crépuscule", German = "Zwielichtblüte", Russian = "Сумеречник" }, icon = "plant15.png" },
			{ name = { English = "Tempestflower", French = "Fleur de la Tempête", German = "Sturmblume", Russian = "Бурецвет" }, icon = "plant14.png" },
			{ name = { English = "Basiliskweed", French = "Herbasilic", German = "Basiliskenkraut", Russian = "Василисковая трава" }, icon = "plant13.png" },
			{ name = { English = "Bloodshade", French = "Ombresang", German = "Blutschatten", Russian = "Кровотень" }, icon = "plant12.png" },
			{ name = { English = "Drakefoot", French = "Patte-de-drake", German = "Drakenfuß", Russian = "Драконник" }, icon = "plant11.png" },
			{ name = { English = "Roc Orchid", French = "Orchiderokh", German = "Rokh-Orchidee", Russian = "Орхидея рух" }, icon = "plant10.png" },
			{ name = { English = "Tattertwist", French = "Tournehaillon", German = "Fledderflechte", Russian = "Тряпочник" }, icon = "plant09.png" },
			{ name = { English = "Wyvernspurr", French = "Ergot de wyverne", German = "Lindwurmstachel", Russian = "Виверновая шпора" }, icon = "plant08.png" },
			{ name = { English = "Golden Nettle", French = "Ortie dorée", German = "Goldnessel", Russian = "Золотая крапива" }, icon = "plant07.png" },
			{ name = { English = "Duskglory", French = "Gloire du couchant", German = "Dämmerruhm", Russian = "Сумроцвет" }, icon = "plant06.png" },
			{ name = { English = "Razorbrush", French = "Ronce tranchante", German = "Klingenstrauch", Russian = "Бритвенник" }, icon = "plant05.png" },
			{ name = { English = "Krakenweed", French = "Herbe à kraken", German = "Krakenkraut", Russian = "Кракенова трава" }, icon = "plant04.png" },
			{ name = { English = "Creeperbrush", French = "Ronce grimpante", German = "Kreuchstrauch", Russian = "Ползучий кустарник" }, icon = "plant03.png" },
			{ name = { English = "Grieveblossom", French = "Fleur de chagrin", German = "Trauerblüte", Russian = "Горецвет" }, icon = "plant02.png" },
			{ name = { English = "Coastal Glory", French = "Gloire côtière", German = "Küstenpracht", Russian = "Прибрежная слава" }, icon = "plant01.png" },
		}
	},
	{
		Name = { English = "Woods", German = "Wald", French = "Bois", Russian = "Дерево" },
		Type = 1, Group = true, Code = "woods",
		Data = {
			{ name = { English = "Madrosa Timber", French = "Branche de madros", German = "Madrosaholz", Russian = "Брус Мадрозы" }, icon = "wood11.png" },
			{ name = { English = "Elm Timber", French = "Branche d'orme", German = "Ulmenholz", Russian = "Брус вяза" }, icon = "wood10.png" },
			{ name = { English = "Linden Timber", French = "Branche de tilleul", German = "Lindenholz", Russian = "Брус липы" }, icon = "wood09.png" },
			{ name = { English = "Shadethorn Branch", French = "Branche d'ombrépine", German = "Schattendorn-Ast", Russian = "Ветвь теневого терна" }, icon = "wood08.png" },
			{ name = { English = "Sagebrush Log", French = "Bûche d'armoise", German = "Salbeistamm", Russian = "Полынное бревно" }, icon = "wood07.png" },
			{ name = { English = "Runebirch Log", French = "Bûche de rune-bouleau", German = "Runenbirken-Stamm", Russian = "Бревно рунной березы" }, icon = "wood06.png" },
			{ name = { English = "Kingswood Log", French = "Bûche de bois royal", German = "Königsholz-Stamm", Russian = "Полено королевского дерева" }, icon = "wood05.png" },
			{ name = { English = "Mahogany Log", French = "Bûche d'acajou", German = "Mahagoni-Stamm", Russian = "Полено красного дерева" }, icon = "wood04.png" },
			{ name = { English = "Oak Log", French = "Bûche de chêne", German = "Eichenstamm", Russian = "Дубовое полено" }, icon = "wood03.png" },
			{ name = { English = "Ashwood Log", French = "Bûche de frêne", German = "Eschenholzstamm", Russian = "Ясеневое бревно" }, icon = "wood02.png" },
			{ name = { English = "Yew Log", French = "Rondin d'if", German = "Eibenstamm", Russian = "Тисовое бревно" }, icon = "wood01.png" },
		}
	},
	{
		Name = { English = "Ores", German = "Erze", French = "Minerais", Russian = "Руда" },
		Type = 1, Group = true, Code = "ores",
		Data = {
			{ name = { English = "Thalasite Vein", French = "Veine de thalassite", German = "Thalasitader", Russian = "Thalasite Vein" }, icon = "ore15.png" },
			{ name = { English = "Rhenium Vein", French = "Veine en rhéniu", German = "Rheniumader", Russian = "Рениевая жила" }, icon = "ore14.png" },
			{ name = { English = "Karthite Vein", French = "Veine de tuthonie", German = "Tuthonyader", Russian = "Картитовая жила" }, icon = "ore13.png" },
			{ name = { English = "Gantimite Vein", French = "Veine de gantimite", German = "Gantimitader", Russian = "Жила гантимита" }, icon = "ore12.png" },
			{ name = { English = "Orichalcum", French = "Orichalque", German = "Orichalcum", Russian = "Орихалк" }, icon = "ore11.png" },
			{ name = { English = "Platinum Deposit", French = "Gisement de platine", German = "Platinvorkommen", Russian = "Месторождение платины" }, icon = "ore10.png" },
			{ name = { English = "Carmintium Deposit", French = "Gisement de carmintium", German = "Carmintium-Lager", Russian = "Месторождение карминтия" }, icon = "ore09.png" },
			{ name = { English = "Titanium Vein", French = "Veine de titane", German = "Titanader", Russian = "Титановая жила" }, icon = "ore08.png" },
			{ name = { English = "Gold Vein", French = "Veine d'or", German = "Goldader", Russian = "Золотая жила" }, icon = "ore07.png" },
			{ name = { English = "Cobalt Lode", French = "Filon de Cobalt", German = "Kobaltader", Russian = "Залежи кобальта" }, icon = "ore06.png" },
			{ name = { English = "Chromite Vein", French = "Veine de Chromite", German = "Chromitader", Russian = "Хромитовая жила" }, icon = "ore05.png" },
			{ name = { English = "Silver Vein", French = "Filon d'argent", German = "Silberader", Russian = "Серебряная жила" }, icon = "ore04.png" },
			{ name = { English = "Iron Vein", French = "Veine de fer", German = "Eisenader", Russian = "Железная жила" }, icon = "ore03.png" },
			{ name = { English = "Copper Vein", French = "Veine de cuivre", German = "Kupferader", Russian = "Медная жила" }, icon = "ore02.png" },
			{ name = { English = "Tin Lode", French = "Filon de fer-blanc", German = "Zinnader", Russian = "Оловянная жила" }, icon = "ore01.png" },
		}
	},
	{
		Name = { English = "Unstable thieves", German = "Dieb instabiler artefakte", French = "Voleur d'artefacts instables", Russian = "Похитители артефактов" },
		Type = 2, Group = true, Code = "unstablethieves",
		Data = {
			{ name = { English = "Epic Unstable Artifact Thief", French = "Voleur d'artefacts instables épiques", German = "Dieb Epischer, Instabiler Artefakte", Russian = "Epic Unstable Artifact Thief" }, icon = "unstableEpic.png" },
			{ name = { English = "Rare Unstable Artifact Thief", French = "Voleur d'artefacts instables rares", German = "Dieb Seltener, Instabiler Artefakte", Russian = "Rare Unstable Artifact Thief" }, icon = "unstableRare.png" },
			{ name = { English = "Uncommon Unstable Artifact Thief", French = "Voleur d'artefacts instables peu commun", German = "Dieb Ungewöhnlicher, Instabiler Artefakte", Russian = "Uncommon Unstable Artifact Thief" }, icon = "unstableUncommon.png" },
			{ name = { English = "Common Unstable Artifact Thief", French = "Voleur d'artefacts instables communs", German = "Dieb Gewöhnlicher, Instabiler Artefakte", Russian = "Common Unstable Artifact Thief" }, icon = "unstableCommon.png" },
		}
	},
	{
		Name = { English = "Artifacts", German = "Artefakte", French = "Artefacts", Russian = "Артефакты" },
		Type = 1, Group = true, Code = "artifacts",
		Data = {
			{ name = { English = "Unstable Artifact", French = "Unstable Artifact", German = "Instabiles Artefakt", Russian = "Unstable Artifact" }, icon = "artifactsUnstable.png" },
			{ name = { English = "Twisted Artifact", French = "Artefact altéré", German = "Verdrehtes Artefakt", Russian = "Искаженный артефакт" }, icon = "artifactsTwisted.png" },
			{ name = { English = "Artifact", French = "Artefact", German = "Artefakt", Russian = "Артефакт" }, icon = "artifactsCommon.png" },
		}
	},
	{
		Name = { English = "Most wanted", German = "Meistgesucht", French = "Ennemi public numéro 1", Russian = "Разыскиваемые" },
		Type = 2, Group = false, Code = "mostwanted",
		Data = {
			{ name = { English = "Uskghao the Fleshmelder", French = "Uskghao le Sculptechair", German = "Uskghao, der Fleischmischer", Russian = "Uskghao the Fleshmelder" } },
			{ name = { English = "Lortas", French = "Lortas", German = "Lortas", Russian = "Lortas" } },
			{ name = { English = "Shallows", French = "Gouffroi", German = "Schallows", Russian = "Shallows" } },
			{ name = { English = "Kitty the Souldrinker", French = "Kit le buveur d'âmes", German = "Kitty, der Seelentrinker", Russian = "Kitty the Souldrinker" } },
			{ name = { English = "Rak'say the Demolisher", French = "Rak'say le Démolisseur", German = "Rak'say, der Verwüster", Russian = "Rak'say the Demolisher" } },
			{ name = { English = "Ruawbur", French = "Ruawbur", German = "Ruawbur", Russian = "Ruawbur" } },
			{ name = { English = "Ia'raki", French = "Ia'raki", German = "Ia'raki", Russian = "Ia'raki" } },
			{ name = { English = "Ildtai", French = "Ildtai", German = "Ildtai", Russian = "Ildtai" } },
			{ name = { English = "Augh-ech", French = "Augh-ech", German = "Augh-ech", Russian = "Augh-ech" } },
			{ name = { English = "Isyer the Thuderer", French = "Isyer le Rosseur", German = "Isyer, der Donnerer", Russian = "Isyer the Thuderer" } },
			{ name = { English = "Shyuang the Icestorm", French = "Shyuang l'Orage de glace", German = "Shyuang, der Eissturm", Russian = "Shyuang the Icestorm" } },
			{ name = { English = "Ogaro", French = "Ogaro", German = "Ogaro", Russian = "Ogaro" } },
			{ name = { English = "Ydogo the Outcast", French = "Ydogo le Paria", German = "Ydogo, der Geächtete", Russian = "Ydogo the Outcast" } },
			{ name = { English = "Imaw", French = "Imaw", German = "Imaw", Russian = "Imaw" } },
			{ name = { English = "Tor'garo", French = "Tor'garo", German = "Tor'garo", Russian = "Tor'garo" } },
			{ name = { English = "Mos'osy the All-Seeing", French = "Mos'osy l'Omniscient", German = "Mos'osy, der Allsehende", Russian = "Mos'osy the All-Seeing" } },
			{ name = { English = "Ackttan", French = "Ackttan", German = "Ackttan", Russian = "Ackttan" } },
			{ name = { English = "Isyer the Burning", French = "Isyer l'incandescent", German = "Isyer, der Brennende", Russian = "Isyer the Burning" } },
			{ name = { English = "Urntny the Soul Cleaver", French = "Urntny le Fendâme", German = "Urntny, der Seelenspalter", Russian = "Urntny the Soul Cleaver" } },
			{ name = { English = "En-emrak", French = "En-emrak", German = "En-emrak", Russian = "En-emrak" } },
			{ name = { English = "Urnkalit", French = "Urnkalit", German = "Urnkalit", Russian = "Urnkalit" } },
			{ name = { English = "Quaetad", French = "Quaetad", German = "Quaetad", Russian = "Quaetad" } },
			{ name = { English = "Zujane", French = "Zujane", German = "Zujane", Russian = "Zujane" } },
			{ name = { English = "Umcha the Claw", French = "Umcha la Griffe", German = "Umcha, die Klaue", Russian = "Umcha the Claw" } },
			{ name = { English = "Ferrite", French = "Ferrite", German = "Ferrit", Russian = "Ferrite" } },
			{ name = { English = "Mk VIIX A v2.0", French = "Mk VIIX A v2.0", German = "Mk VIIX A v2.0", Russian = "Mk VIIX A v2.0" } },
			{ name = { English = "Inatai the Unliving", French = "Inatai la Non-vivante", German = "Inatai, die Nicht-Lebende", Russian = "Inatai the Unliving" } },
			{ name = { English = "Sapiheci", French = "Sapiheci", German = "Sapiheci", Russian = "Sapiheci" } },
			{ name = { English = "Belrat the Bloodcloud", French = "Belrat le Nuage de sang", German = "Belrat, die Blutwolke", Russian = "Belrat the Bloodcloud" } },
			{ name = { English = "Isanga", French = "Isanga", German = "Isanga", Russian = "Isanga" } },
			{ name = { English = "Rynnysa", French = "Rynnysa", German = "Rynnysa", Russian = "Rynnysa" } },
			{ name = { English = "Renih", French = "Renih", German = "Renih", Russian = "Renih" } },
			{ name = { English = "Render, Hound of Death", French = "Render, Chien de la Mort", German = "Render, Hund des Todes", Russian = "Render, Hound of Death" } },
			{ name = { English = "Waveracer", French = "Vaguefol", German = "Wellenrenner", Russian = "Waveracer" } },
			{ name = { English = "Model 35L", French = "Modèle 35L", German = "Modell 35L", Russian = "Model 35L" } },
			{ name = { English = "Ightild", French = "Ightild", German = "Ightild", Russian = "Ightild" } },
			{ name = { English = "Moldermound", French = "Croupissure", German = "Moderhügel", Russian = "Moldermound" } },
			{ name = { English = "Nus", French = "Nus", German = "Nus", Russian = "Nus" } },
			{ name = { English = "Tas'toni", French = "Tas'toni", German = "Tas'toni", Russian = "Tas'toni" } },
			{ name = { English = "Akimo", French = "Akimo", German = "Akimo", Russian = "Akimo" } },
			{ name = { English = "Flamewake", French = "Sèmeflamme", German = "Flammenwach", Russian = "Flamewake" } },
			{ name = { English = "The Walker", French = "Le Marcheur", German = "Der Geher", Russian = "The Walker" } },
			{ name = { English = "Soulquake", French = "Tellurâme", German = "Seelenbeben", Russian = "Soulquake" } },
			{ name = { English = "Amalgam", French = "Amalgam", German = "Amalgam", Russian = "Amalgam" } },
			{ name = { English = "Gha'unta", French = "Gha'unta", German = "Gha'unta", Russian = "Gha'unta" } },
			{ name = { English = "Deathweaver", French = "Tissekaput", German = "Todesweber", Russian = "Deathweaver" } },
			{ name = { English = "Globulous", French = "Globulous", German = "Globulus", Russian = "Globulous" } },
			{ name = { English = "Ganel", French = "Ganel", German = "Ganel", Russian = "Ganel" } },
			{ name = { English = "The Executioner", French = "l’Exécutrice", German = "Der Henker", Russian = "The Executioner" } },
			{ name = { English = "Gedal", French = "Gedal", German = "Gedal", Russian = "Gedal" } },
			{ name = { English = "Rhuardar, Scourge of Scarwood", French = "Rhuardar, Fléau des Bois Meurtris", German = "Rhuardar, die Geißel des Wundwalds", Russian = "Rhuardar, Scourge of Scarwood" } },
			{ name = { English = "Hulonk", French = "Hulonk", German = "Hulonk", Russian = "Hulonk" } },
			{ name = { English = "Ril'ash the Chained", French = "Ril'ash l'Enchaîné", German = "Ril'ash, der Angekettete", Russian = "Ril'ash the Chained" } },
			{ name = { English = "Carrion", French = "Carrion", German = "Aaser", Russian = "Carrion" } },
			{ name = { English = "Char", French = "Char", German = "Kohler", Russian = "Char" } },
			{ name = { English = "Rot Claw", French = "Griffe-pourrie", German = "Rottklaue", Russian = "Rot Claw" } },
			{ name = { English = "Baroness Maelifica", French = "Baronne Maelifica", German = "Baroness Maelifica", Russian = "Baroness Maelifica" } },
			{ name = { English = "Drone 576", French = "Drone 576", German = "Drohne 576", Russian = "Drone 576" } },
			{ name = { English = "The Soul of Darkness", French = "L'Âme des Ténèbres", German = "Die Seele der Dunkelheit", Russian = "The Soul of Darkness" } },
			{ name = { English = "Uilis", French = "Uilis", German = "Uilis", Russian = "Uilis" } },
			{ name = { English = "Windscale", French = "Ventécaille", German = "Windschuppe", Russian = "Windscale" } },
			{ name = { English = "Fluffy, Destroyer of Worlds", French = "Fluffy, Destructeur des mondes", German = "Fluffy, Zerstörer der Welten", Russian = "Fluffy, Destroyer of Worlds" } },
			{ name = { English = "Rifak", French = "Rifak", German = "Rifak", Russian = "Rifak" } },
			{ name = { English = "Sand Stalker", French = "Traqueur des sables", German = "Sandpirscher", Russian = "Sand Stalker" } },
			{ name = { English = "King Ruioa", French = "Roi Ruioa", German = "König Ruioa", Russian = "King Ruioa" } },
			{ name = { English = "Ojin'ali", French = "Ojin'ali", German = "Ojin'ali", Russian = "Ojin'ali" } },
			{ name = { English = "Serial Number 532", French = "Numéro de série 532", German = "Seriennummer 532", Russian = "Serial Number 532" } },
			{ name = { English = "Qialis", French = "Qialis", German = "Qialis", Russian = "Qialis" } },
			{ name = { English = "Ternios", French = "Ternios", German = "Ternios", Russian = "Ternios" } },
			{ name = { English = "Packmaster Vrexis", French = "Chefs de meute Vrexis", German = "Rudelmeister Vrexis", Russian = "Packmaster Vrexis" } },
			{ name = { English = "Gore Ripper", French = "Éventreur sanglant", German = "Blutreißerin", Russian = "Gore Ripper" } },
			{ name = { English = "Stonegaze", French = "Regarde-pierre", German = "Steinkriecher", Russian = "Stonegaze" } },
			{ name = { English = "Deathlight", French = "Lumière de Mort", German = "Todesleuchter", Russian = "Deathlight" } },
			{ name = { English = "Yedisth", French = "Yedisth", German = "Yedisth", Russian = "Yedisth" } },
			{ name = { English = "Eye Gouger", French = "Arrache-œil", German = "Augengauner", Russian = "Eye Gouger" } },
			{ name = { English = "Harbinger of Regulos", French = "Annonciateur de Regulos", German = "Vorbote des Regulos", Russian = "Harbinger of Regulos" } },
			{ name = { English = "Queen Ia", French = "Reine Ia", German = "Queen Ia", Russian = "Queen Ia" } },
			{ name = { English = "Eialos", French = "Eialos", German = "Eialos", Russian = "Eialos" } },
			{ name = { English = "Skyslayer", French = "Tueur céleste", German = "Himmelsschlächter", Russian = "Skyslayer" } },
			{ name = { English = "Tewop", French = "Tewop", German = "Tewop", Russian = "Tewop" } },
			{ name = { English = "Grunk", French = "Grunk", German = "Grunk", Russian = "Grunk" } },
			{ name = { English = "Bessie", French = "Bessie", German = "Bessie", Russian = "Bessie" } },
			{ name = { English = "Ieasis", French = "Ieasis", German = "Ieasis", Russian = "Ieasis" } },
			{ name = { English = "Grakuul", French = "Grakuul", German = "Grakuul", Russian = "Grakuul" } },
			{ name = { English = "Tod", French = "Tod", German = "Todd", Russian = "Tod" } },
			{ name = { English = "Bloody Fang", French = "Croc ensanglanté", German = "Blutiger Reißzahn", Russian = "Bloody Fang" } },
			{ name = { English = "Kelo", French = "Kelo", German = "Kelo", Russian = "Kelo" } },
			{ name = { English = "Squidget", French = "Petit écureuil", German = "Hörnchen", Russian = "Squidget" } },
			{ name = { English = "The Seductress", French = "La Séductrice", German = "Die Verführerin", Russian = "The Seductress" } },
			{ name = { English = "Gnawer", French = "Rongeur", German = "Kauer", Russian = "Gnawer" } },
			{ name = { English = "The Ravenous Desolator", French = "Le dévastateur affamé", German = "Der Gefräßige Zerstörer", Russian = "The Ravenous Desolator" } },
			{ name = { English = "Oolo", French = "Oolo", German = "Oolo", Russian = "Oolo" } },
			{ name = { English = "The Claw", French = "La Griffe", German = "Die Klaue", Russian = "The Claw" } },
			{ name = { English = "Feol", French = "Feol", German = "Feol", Russian = "Feol" } },
			{ name = { English = "Reziar", French = "Reziar", German = "Reziar", Russian = "Reziar" } },
			{ name = { English = "Beatrice", French = "Beatrice", German = "Beatrice", Russian = "Beatrice" } },
			{ name = { English = "Yenuo", French = "Yenuo", German = "Yenuo", Russian = "Yenuo" } },
			{ name = { English = "Retorius", French = "Retorius", German = "Retorius", Russian = "Retorius" } },
		}
	},
	{
		Name = { English = "Rare mobs", German = "Seltene kreaturen", French = "Créatures rares", Russian = "Редкие мобы" },
		Type = 2, Group = false, Code = "raremobs",
		Achievement = { "c128FB25EE807902B", "c5057BAEBDEA774CE", "c5C766AF68015CB70", "c7443CBB86FC99D5E" },
		Data = {
			{ name = { English = "Bone Gnawer", French = "Rongeur d'os", German = "Knochenkauer", Russian = "Костегрыз" } },
			{ name = { English = "Twiggle the Arcane Trickster", French = "Gigote l'Entourloupeur arcanique", German = "Twiggle der Arkane Schwindler", Russian = "Твиггл, Волшебный Трикстер" } },
			{ name = { English = "Gaze of Regulos", French = "Regard de Regulos", German = "Blick des Regulos", Russian = "Взгляд Регулоса" } },
			{ name = { English = "Drifting Ascended", French = "Élu errant", German = "Verlorener Auserwählter", Russian = "Дрейфующий Вознесенный" } },
			{ name = { English = "Velosaurus", French = "Velosaurus", German = "Velosaurus", Russian = "Велозавр" } },
			{ name = { English = "Kragog the Soothsayer", French = "Kragog l'Augure", German = "Kragog der Sterndeuter", Russian = "Прорицатель Крагог" } },
			{ name = { English = "Kolinkor da Crusha", French = "Kolinkor da Crusha", German = "Kolinkor den Brecher", Russian = "Колинкор да Круша" } },
			{ name = { English = "Ol' Scartusk", French = "Vieux Corne Balafrée", German = "Der Alte Narbenhauer", Russian = "Старина шрамоклык" } },
			{ name = { English = "Festering Boil", French = "Furoncle suppurant", German = "Eiterbeule", Russian = "Воспаленный пузырь" } },
			{ name = { English = "Emissary of Kain", French = "Émissaire de Kain", German = "Abgesandter von Kain", Russian = "Эмиссар Кейна" } },
			{ name = { English = "Franklin the Butcher", French = "Franklin le Boucher", German = "Franklin der Fleischer", Russian = "Мясник Франклин" } },
			{ name = { English = "Stormba", French = "Tempêtus", German = "Stormba", Russian = "Бурьба" } },
			{ name = { English = "Regressor Aiyra", French = "Régresseuse Aiyra", German = "Regressorin Aiyra", Russian = "Регрессор Айира" } },
			{ name = { English = "Cursed Caretaker", French = "Reliquaire maudite", German = "Verfluchte Wärterin", Russian = "Проклятый Попечитель" }, displayname = { French = "Reliquaire maudit" } },
			{ name = { English = "Disciple Ilnageth", French = "Disciple Ilnageth", German = "Jünger Ilnageth", Russian = "Ученик Илганет" } },
			{ name = { English = "Shaper Zhrale", French = "Nécrosculpteur Zhrale", German = "Gestalter Zhrale", Russian = "Скульптор Жрале" } },
			{ name = { English = "The Ancient Custodian", French = "L'Antique Garant", German = "Der Uralte Hüter", Russian = "Древний Страж" } },
			{ name = { English = "Blorrt the Unclean", French = "Blorrt le Malpropre", German = "Blorrt der Unreine", Russian = "Блоррт Нечистый" } },
			{ name = { English = "Possessed Ancient Loader", French = "Chargeur ancien possédé", German = "Besessener Uralter Lader", Russian = "Одержимый древний погрузчик" } },
			{ name = { English = "Stormborn Anima", French = "Anima né de la Tempête", German = "Sturmgeborene Anima", Russian = "Бурерожденная анима" }, displayname = { French = "Anima née de la Tempête" } },
			{ name = { English = "The Watcher", French = "L'Observateur", German = "Der Beobachter", Russian = "Смотрящий" } },
			{ name = { English = "Stormcharger Acrylia", French = "Charge-tempête Acrylia", German = "Sturmladerin Acrylia", Russian = "Призывательница бурь Акрилия" } },
			{ name = { English = "Xil'Ahk", French = "Xil'Ahk", German = "Xil'Ahk", Russian = "Зил'Ак" } },
			{ name = { English = "Field Strategist Gough", French = "Stratège Gough", German = "Feldstratege Gough", Russian = "Полевой стратег Гуг" } },
			{ name = { English = "The Grand Designer", French = "Le Grand concepteur", German = "Der Große Designer", Russian = "Великий дизайнер" } },
			{ name = { English = "Eye of Crucia", French = "Œil de Crucia", German = "Auge der Crucia", Russian = "Глаз Круции" } },
			{ name = { English = "Stratos", French = "Stratos", German = "Stratos", Russian = "Стратос" } },
			{ name = { English = "Ancient Sentry", French = "Factionnaire ancien", German = "Uralter Wachposten", Russian = "Древний страж" } },
			{ name = { English = "Kill Gaian", French = "Vaincre Gaian", German = "Besiegt Gaian.", Russian = "Убить Гаяна" }, displayname = { English = "Gaian", French = "Gaian", German = "Gaian", Russian = "Гайян" } },
			{ name = { English = "Kill Kleon", French = "Vaincre Kleon", German = "Besiegt Kleon.", Russian = "Убить Клеона" }, displayname = { English = "Kleon", French = "Kleon", German = "Kleon", Russian = "Клеон" } },
			{ name = { English = "Kill Myron", French = "Vaincre Myron", German = "Besiegt Myron.", Russian = "Убить Мирона" }, displayname = { English = "Myron", French = "Myron", German = "Myron", Russian = "Мирон" } },
			{ name = { English = "Kill Phocas", French = "Vaincre Phocas", German = "Besiegt Phocas.", Russian = "Убить Фокаса" }, displayname = { English = "Phocas", French = "Phocas", German = "Phocas", Russian = "Фока" } },
			{ name = { English = "Kill Hyro", French = "Vaincre Hyro", German = "Besiegt Hyro.", Russian = "Убить Хиро" }, displayname = { English = "Hyro", French = "Hyro", German = "Hyro", Russian = "Хиро" } },
			{ name = { English = "Kill Nereus", French = "Tuer Nereus", German = "Besiegt Nereus.", Russian = "Убить Нерея" }, displayname = { English = "Nereus", French = "Nereus", German = "Nereus", Russian = "Нерей" } },
			{ name = { English = "Kill Naeus", French = "Tuer Naeus", German = "Besiegt Naeus.", Russian = "Убить Нея" }, displayname = { English = "Naeus", French = "Naeus", German = "Naeus", Russian = "Неус" } },
			{ name = { English = "Kill Lykos", French = "Tuer Lykos", German = "Besiegt Lykos.", Russian = "Убить Лайкоса" }, displayname = { English = "Lykos", French = "Lykos", German = "Lykos", Russian = "Лайкос" } },
			{ name = { English = "Kill Tricksy", French = "Tuer Charlie", German = "Besiegt Tricksy.", Russian = "Убить Трюкси" }, displayname = { English = "Tricksy", French = "Charlie", German = "Tricksy", Russian = "Трюкси" } },
			{ name = { English = "Kill Acalan", French = "Tuer Akalan", German = "Besiegt Acalan.", Russian = "Убить Акалана" }, displayname = { English = "Acalan", French = "Akalan", German = "Acalan", Russian = "Акалан" } },
			{ name = { English = "Kill Anato", French = "Tuer Anator", German = "Besiegt Anato.", Russian = "Убить Анато" }, displayname = { English = "Anato", French = "Anator", German = "Anato", Russian = "Анато" } },
			{ name = { English = "Kill Ligeia", French = "Tuer Ligeia", German = "Besiegt Ligeia.", Russian = "Убить Лигею" }, displayname = { English = "Ligeia", French = "Ligeia", German = "Ligeia", Russian = "Лигейя" } },
			{ name = { English = "Kill Osmas", French = "Tuer Osmas", German = "Besiegt Osmas.", Russian = "Убить Осмаса" }, displayname = { English = "Osmas", French = "Osmas", German = "Osmas", Russian = "Озмас" } },
			{ name = { English = "Kill Argyros", French = "Tuer Argyros", German = "Besiegt Argyros.", Russian = "Убить Аргироса" }, displayname = { English = "Argyros", French = "Argyros", German = "Argyros", Russian = "Аргирос" } },
			{ name = { English = "Kill Tephra", French = "Tuer Tephra", German = "Besiegt Tephra.", Russian = "Убить Тефру" }, displayname = { English = "Tephra", French = "Tephra", German = "Tephra", Russian = "Тефра" } },
			{ name = { English = "Kill Lalia", French = "Tuer Lalia", German = "Besiegt Lalia.", Russian = "Убить Лалию" }, displayname = { English = "Lalia", French = "Lalia", German = "Lalia", Russian = "Лалия" } },
			{ name = { English = "Kill Nikon", French = "Tuer Nikon", German = "Besiegt Nikon.", Russian = "Убить Никона" }, displayname = { English = "Nikon", French = "Nikon", German = "Nikon", Russian = "Никон" } },
			{ name = { English = "Kill Klacus", French = "Tuer Klacus", German = "Besiegt Klacus.", Russian = "Убить Клакуса" }, displayname = { English = "Klacus", French = "Klacus", German = "Klacus", Russian = "Клакус" } },
			{ name = { English = "Kill Kallos", French = "Tuer Kallos", German = "Besiegt Kallos.", Russian = "Убить Каллоса" }, displayname = { English = "Kallos", French = "Kallos", German = "Kallos", Russian = "Каллос" } },
			{ name = { English = "Kill Thome", French = "Tuer Thome", German = "Besiegt Thome.", Russian = "Убить Тома" }, displayname = { English = "Thome", French = "Thome", German = "Thome", Russian = "Том" } },
			{ name = { English = "Gizzit", French = "Gizzit", German = "Gizzit", Russian = "Гиззит" } },
			{ name = { English = "Augustor", French = "Augustor", German = "Augustor", Russian = "Августор" } },
			{ name = { English = "Tormented Wisp", French = "Feu-follet tourmenté", German = "Gepeinigtes Irrlicht", Russian = "Страдающий огонек" } },
			{ name = { English = "Crepit Pokeit", French = "Crepit Pokeit", German = "Crepit Pokeit", Russian = "Крипит Покит" } },
			{ name = { English = "Sea Scuttler", French = "Naufrageur", German = "Seekrabbler", Russian = "Морской попрыгун" } },
			{ name = { English = "Gogrol", French = "Gogrol", German = "Gogrol", Russian = "Гогрол" } },
			{ name = { English = "Azagamara", French = "Azagamara", German = "Azagamara", Russian = "Азагамара" } },
			{ name = { English = "Vengeful Spirit", French = "Esprit vengeur", German = "Rachedurstiger Geist", Russian = "Мстительный дух" } },
			{ name = { English = "Brod", French = "Brod", German = "Brod", Russian = "Брод" } },
			{ name = { English = "Marlrog", French = "Marlrog", German = "Marlrog", Russian = "Марлрог" } },
			{ name = { English = "Mok", French = "Mok", German = "Mok", Russian = "Мок" } },
			{ name = { English = "Pandora", French = "Pandora", German = "Pandora", Russian = "Пандора" } },
			{ name = { English = "Pentheus", French = "Pentheus", German = "Pentheus", Russian = "Пентий" } },
			{ name = { English = "Silverwood Werewolf", French = "Loup-garou de Bois d'Argent", German = "Silberwald-Werwolf", Russian = "Оборотень Серебристого Леса" }, displayname = { English = "Werewolf", French = "Loup-garou", German = "Werwolf" } },
			{ name = { English = "Bahezerk", French = "Bahezerk", German = "Bahezerk", Russian = "Байзерк" } },
			{ name = { English = "Boneseeker", French = "Chercheur d'os", German = "Knochensucher", Russian = "Костеискатель" } },
			{ name = { English = "Gnarvul", French = "Gnarvul", German = "Gnarvul", Russian = "Гнарвул" } },
			{ name = { English = "Gorehorn the Mighty", French = "Corne-à-charpie le Puissant", German = "Bluthorn der Mächtige", Russian = "Могучий рогач" } },
			{ name = { English = "Gormungun", French = "Gormungun", German = "Gormungun", Russian = "Гормунган" } },
			{ name = { English = "Lothuu the Sad", French = "Lothuu le Triste", German = "Lothuu der Traurige", Russian = "Лотху Печальный" } },
			{ name = { English = "Nela Valcuthren", French = "Nela Valcuthren", German = "Nela Valcuthren", Russian = "Нела Валькатрен" } },
			{ name = { English = "Questing Overseer", French = "Superviseur en quête", German = "Suchender Aufseher", Russian = "Повелитель заданий" } },
			{ name = { English = "Rendfang", French = "Croc-déchiqueteur", German = "Spaltzahn", Russian = "Разрывающий клык" } },
			{ name = { English = "Sentient Cruor", French = "Sentient Cruor", German = "Sentient Cruor", Russian = "Ожившая кровь" } },
			{ name = { English = "Stone Rend", French = "Déchire-pierre", German = "Steinspalter", Russian = "Каменный клюв" } },
			{ name = { English = "Stridal", French = "Stridal", German = "Stridal", Russian = "Шагун" } },
			{ name = { English = "Xoxtillus", French = "Xoxtillus", German = "Xoxtillus", Russian = "Ксоктиллус" } },
			{ name = { English = "XT-300", French = "XT-300", German = "XT-300", Russian = "XT-300" }, displayname = { English = "XT-300 Lifter", French = "Monte-charge XT-300", German = "XT-300 Heber" } },
			{ name = { English = "Browncap Cutter", French = "Trancheur Coiffebrune", German = "Braunkappenschneider", Russian = "Коричневый резчик" } },
			{ name = { English = "Dozer", French = "Dozer", German = "Dozer", Russian = "Бульдозер" } },
			{ name = { English = "Gnarl Nighthunter", French = "Gnarl Chassenuit", German = "Gnarl-Nachtjäger", Russian = "Ночной охотник гнаров" } },
			{ name = { English = "Lunar Shadestalker", French = "Guetteur d'ombre lunaire", German = "Mondschattenschleicher", Russian = "Лунный тенеход" } },
			{ name = { English = "Millrush Moonstalker", French = "Guetteur-de-lune de Millrush", German = "Mühlstieg Mondschleicher", Russian = "Мельничный лунолов" } },
			{ name = { English = "Scald", French = "Scald", German = "Brüher", Russian = "Ошпаренный" }, displayname = { French = "Brûleur" } },
			{ name = { English = "Scarbite", French = "Tracemorsure", German = "Narbenbiss", Russian = "Шрамокус" } },
			{ name = { English = "Stalker of Tears", French = "Guetteur de larmes", German = "Tränenschleicher", Russian = "Следопыт плача" } },
			{ name = { English = "Stalker of the Grove", French = "Guetteur du bosquet", German = "Schleicher des Hains", Russian = "Сталкер Рощи" } },
			{ name = { English = "Xaksha", French = "Xaksha", German = "Xaksha", Russian = "Ксакша" } },
			{ name = { English = "Zatzak Browncap", French = "Zatzak Coiffebrune", German = "Zatzak Braunkapp", Russian = "Шапка Затзака" } },
			{ name = { English = "Rockjaw", French = "Mâchoire à roche", German = "Felskiefer", Russian = "Камнегрыз" } },
			{ name = { English = "Korgek the Breaker", French = "Korgek le Briseur", German = "Korgek der Brecher", Russian = "Коргек Громила" } },
			{ name = { English = "Ghorgull the Bringer of Libations", French = "Ghorgull le Faiseur de Libations", German = "Ghorgull der Bote der Trankopfer", Russian = "Горгул, мастер возлияний" }, displayname = { English = "Ghorgull", French = "Ghorgull", German = "Ghorgull" } },
			{ name = { English = "Quogor", French = "Quogor", German = "Quogor", Russian = "Квогор" } },
			{ name = { English = "Gurock", French = "Gurock", German = "Gurock", Russian = "Гарок" } },
			{ name = { English = "Lashtail", French = "Flagellateur", German = "Steinpeitsche", Russian = "Плетехвост" } },
			{ name = { English = "Rotwhip", French = "Fouet-pourri", German = "Faulpeitsche", Russian = "Гнилоплеть" } },
			{ name = { English = "Shadow Harvester", French = "Moissonneur de l'Ombre", German = "Schattenernter", Russian = "Теневой жнец" } },
			{ name = { English = "Bloodwhisker", French = "Chair-Khan", German = "Blutbart", Russian = "Кровоус" } },
			{ name = { English = "Gravelfist", French = "Grossepogne", German = "Schotterfaust", Russian = "Гранитный Кулак" } },
			{ name = { English = "Nuhtu", French = "Nuhtu", German = "Nuhtu", Russian = "Нухту" } },
			{ name = { English = "Granite Crawler", French = "Rampant de Granite", German = "Granitkriecher", Russian = "Гранитный ползун" }, displayname = { German = "Granitkriecherin" } },
			{ name = { English = "Ironfang", French = "Croc-de-Fer", German = "Eisenklaue", Russian = "Железноклык" } },
			{ name = { English = "Blister", French = "Cloque", German = "Blase", Russian = "Пузырь" } },
			{ name = { English = "Rivetskull", French = "Crâne riveté", German = "Nietenschädel", Russian = "Клепаный Череп" } },
			{ name = { English = "Errant Wrecker", French = "Naufrageur errant", German = "Wandernder Zertrümmerer", Russian = "Блуждающий крушитель" } },
			{ name = { English = "Razorback Terror", French = "Terreur boueuse", German = "Klingenkeiler-Schrecken", Russian = "Ужасный секач" } },
			{ name = { English = "Barbwing", French = "Barbailée", German = "Stachelschwinge", Russian = "Шипокрыл" } },
			{ name = { English = "Venomspitter", French = "Crache-venin", German = "Giftspeier", Russian = "Ядоплюй" } },
			{ name = { English = "Corpsegrinder", French = "Hache-cadavre", German = "Leichenschleifer", Russian = "Трупомол" } },
			{ name = { English = "Scarbeak", French = "Bec-balafré", German = "Narbenschnabel", Russian = "Шрамоклюв" } },
			{ name = { English = "Ahasa", French = "Ahasa", German = "Ahasa", Russian = "Ахаса" } },
			{ name = { English = "Vasyu", French = "Vasyu", German = "Vasyu", Russian = "Вэсью" } },
			{ name = { English = "Blackclaw", French = "Pincenoire", German = "Schwarzklaue", Russian = "Чернолапы" } },
			{ name = { English = "Vilehide", French = "Vilepeau", German = "Ekelhaut", Russian = "Злобнохват" } },
			{ name = { English = "Raging Summoner", French = "Invocateur rageur", German = "Wütender Beschwörer", Russian = "Бешеный призыватель" } },
			{ name = { English = "Razorfang", French = "Croc acéré", German = "Messerhauer", Russian = "Бритвозуб" } },
			{ name = { English = "Deranged Pyromancer", French = "Pyromancienne troublée", German = "Irre Pyromantin", Russian = "Безумный пиромант" } },
			{ name = { English = "Fezziled the Curious", French = "Feddil le Curieux", German = "Fezziled der Neugierige", Russian = "Феззилед Любознательный" } },
			{ name = { English = "Nytami", French = "Nytami", German = "Nytami", Russian = "Нитами" } },
			{ name = { English = "Lugog the Destroyer", French = "Lugog le Destructeur", German = "Lugog der Auslöscher", Russian = "Лугог Разрушитель" } },
			{ name = { English = "Arumal", French = "Arumal", German = "Arumal", Russian = "Арумал" } },
			{ name = { English = "Aelfwar Moonshade Emissary", French = "Émissaire d'Aelfwar", German = "Aelfwar-Abgesandter", Russian = "Посол Аэльваров Лунной Тени" }, displayname = { English = "Aelfwar Emissary" } },
			{ name = { English = "Freddik the Broken", French = "Freddik le Brisé", German = "Freddik der Gebrochene", Russian = "Фреддик Поломашка" } },
			{ name = { English = "Enraged Scarab", French = "Scarabée enragé", German = "Wilder Skarabäus", Russian = "Взбесившийся скарабей" } },
			{ name = { English = "Mordant Queen", French = "Reine de Mordant", German = "Bisskönigin", Russian = "Едкая королева" }, displayname = { English = "Mordant Widow", French = "Veuve de Mordant", German = "Bisswitwe" } },
			{ name = { English = "Kragnix the Annihilator", French = "Kragnix l'Annihilateur", German = "Kragnix der Auslöscher", Russian = "Крагникс-искоренитель" } },
			{ name = { English = "Glogg the Ravenous", French = "Glogg l'Affamé", German = "Glogg der Gefräßige", Russian = "Глогг Прожора" } },
			{ name = { English = "Forgotten Sacrifice", French = "Sacrifice oublié", German = "Vergessenes Opfer", Russian = "Забытая жертва" } },
			{ name = { English = "Hurknok", French = "Hurknok", German = "Hurknok", Russian = "Харкнок" } },
			{ name = { English = "Koglok", French = "Koglok", German = "Koglok", Russian = "Коглок" } },
			{ name = { English = "Bone-Fed Ripper", French = "Éventreur mangeur d'os", German = "Knochenfressender Schlitzer", Russian = "Костежорка-потрошительница" }, displayname = { German = "Knochenfressende Schlitzerin" } },
			{ name = { English = "Jhomm the Cruel", French = "Jhomm le Cruel", German = "Jhomm der Grausame", Russian = "Джомм Жестокий" } },
			{ name = { English = "Netherworld Wanderer", French = "Vagabond du Néant", German = "Jenseitiger Wanderer", Russian = "Странник из преисподней" } },
			{ name = { English = "Emissary Kavenik", French = "Émissaire Kavenik", German = "Abgesandte Kavenik", Russian = "Посланец Кавеник" } },
			{ name = { English = "Frosthide", French = "Peau-de-gel", German = "Frosthaut", Russian = "Ледошкур" } },
			{ name = { English = "Arctic Peakstalker", French = "Guetteur de pic arctique", German = "Arktischer Gipfelschleicher", Russian = "Арктический скалолаз" } },
			{ name = { English = "Mad Hogger", French = "Hogger le détraqué", German = "Irrer Schweinehirt", Russian = "Кабаняра" } },
			{ name = { English = "Dagda Skullthumper", French = "Dagda Gourme-crâne", German = "Dagda Schädelklopfer", Russian = "Дагда Черепомес" } },
			{ name = { English = "Razormane", French = "Crinière acérée", German = "Klingenmähne", Russian = "Вепреед" } },
			{ name = { English = "Swirling Tempest", French = "Tempête tourbillonnante", German = "Sausender Wirbelsturm", Russian = "Вьющаяся буря" } },
			{ name = { English = "Blackblood Drake", French = "Drake Sang-noir", German = "Schwarzblutdraken", Russian = "Чернокровый дракк" } },
			{ name = { English = "Frostpaw Mauler", French = "Mutileur Pattegel", German = "Frostpranken-Raufer", Russian = "Морозный коготь-мучитель" } },
			{ name = { English = "The Predator", French = "Le Prédateur", German = "Der Räuber", Russian = "Хищник" } },
			{ name = { English = "Mangled Exile", French = "Exil estropié", German = "Geschundener Verbannter", Russian = "Истерзанный изгой" }, displayname = { French = "Exilé estropié" } },
			{ name = { English = "Grand Councilman Al'hazeed", French = "Grand conseiller Al'hazeed", German = "Großer Ratsherr Al'hazeed", Russian = "Верховный советник Аль'хазид" } },
			{ name = { English = "Lord Scaldwater", French = "Seigneur Dahmar des Thermolacs", German = "Fürst Brühwasser", Russian = "Лорд Шпар" } },
			{ name = { English = "Blood Bough", French = "Rameau-Sanglant", German = "Blutast", Russian = "Кроводрев" } },
			{ name = { English = "Taziel Kanur", French = "Taziel Kanur", German = "Taziel Kanur", Russian = "Тазиэль Канур" } },
			{ name = { English = "Thagrux the Unclean", French = "Thagrux le Malpropre", German = "Thagrux der Unreine", Russian = "Тагрукс Нечистый" } },
			{ name = { English = "Khromas the Eternal", French = "Khromas l'Éternel", German = "Khromas der Ewige", Russian = "Хромас Вечный" } },
			{ name = { English = "Spineclaw", French = "Grifféchine", German = "Stachelklaue", Russian = "Хребтоклык" } },
			{ name = { English = "Experimental War Golem", French = "Golem de guerre expérimental", German = "Experimenteller Kriegsgolem", Russian = "Экспериментальный боевой голем" } },
			{ name = { English = "The Endless Broodmother", French = "Matriarche éternelle", German = "Die Ewige Brutmutter", Russian = "Праматерь Вечного Двора" } },
			{ name = { English = "Jom Turner", French = "Jom Turner", German = "Jom Turner", Russian = "Джом Тернер" } },
			{ name = { English = "Azumel the Screecher", French = "Azumel le Crisseur", German = "Azumel der Kreischer", Russian = "Азумель Хрипун" } },
			{ name = { English = "Dendorath the Ageless", French = "Dendorath l'Éternel", German = "Dendorath der Alterslose", Russian = "Дендорат Нестареющий" } },
			{ name = { English = "Son of Auram", French = "Fils d'Auram", German = "Sohn von Auram", Russian = "Сын Аурама" } },
			{ name = { English = "Iron Dragon Mark VII", French = "Super-char d'assaut du Dragon de fer", German = "Eisendrache V7", Russian = "Железный дракон марк VII" }, displayname = { French = "Dragon de fer de type VII" } },
			{ name = { English = "Pyronite Monstrosity", French = "Monstruosité de pyronite", German = "Pyronitmonstrosität", Russian = "Пиронитовый уродец" }, displayname = { German = "Pyronit-Monstrosität" } },
			{ name = { English = "Avatar of Krynathal", French = "Avatar de Krynathal", German = "Avatar von Krynathal", Russian = "Аватар Кринаталь" } },
			{ name = { English = "Keelsnapper", French = "Chavireur", German = "Kielschnapper", Russian = "Килелом" } },
			{ name = { English = "Riktor the Bogfiend", French = "Riktor le Marécageux", German = "Riktor der Sumpfteufel", Russian = "Риктор Болотный дьявол" } },
			{ name = { English = "The Ghost of Malluma", French = "Le Fantôme de Malluma", German = "Der Geist von Malluma", Russian = "Призрак Маллумы" } },
			{ name = { English = "Thundertusk", French = "Défense-tonnerre", German = "Donnerhauer", Russian = "Громоклык" } },
			{ name = { English = "Cragclaw", French = "Griffe de granite", German = "Felsklaue", Russian = "Скальный коготь" } },
			{ name = { English = "Lumbergnarl", French = "Gnarlplanche", German = "Holzgnarl", Russian = "Древожов" } },
			{ name = { English = "Skytalon", French = "Serreciel", German = "Himmelskralle", Russian = "Небесный коготь" } },
			{ name = { English = "Bilpalo The Destroyer", French = "Bilpalo le Destructeur", German = "Bilpalo der Zerstörer", Russian = "Билпало Разрушитель" } },
			{ name = { English = "Buzzsting", French = "Dard bourdonnant", German = "Summstachel", Russian = "Жужжащий кусака" } },
			{ name = { English = "Tarmok The Vile", French = "Tarmok l'infâme", German = "Tarmok der Ekelhafte", Russian = "Тармок Подлый" } },
			{ name = { English = "Thantarus", French = "Thantarus", German = "Thantarus", Russian = "Тантарус" } },
			{ name = { English = "Prototype Watcher", French = "Observateur prototype", German = "Beobachterprototyp", Russian = "Прототип дозорного" } },
			{ name = { English = "Plaguefang", French = "Peste-croc", German = "Seuchenhauer", Russian = "Чумозуб" } },
			{ name = { English = "Poxclaw", French = "Pestegriffe", German = "Pockenklaue", Russian = "Оспокоготь" } },
			{ name = { English = "Xerbex the Fierce", French = "Xerbex l'Acharné", German = "Xerbex der Wilde", Russian = "Ксербекс Яростный" } },
			{ name = { English = "Banemaw", French = "Gueule-fléau", German = "Fluchschlund", Russian = "Гиблопаст" } },
			{ name = { English = "Kilgraw the Stalker", French = "Kilgraw le Guetteur", German = "Kilgraw der Pirscher", Russian = "Килграу Сталкер" } },
			{ name = { English = "Kiljurn", French = "Kiljurn", German = "Kiljurn", Russian = "Кильюрн" } },
			{ name = { English = "Mutaclaw", French = "Mutagriffe", German = "Mutaklaue", Russian = "Мутантный коготь" } },
			{ name = { English = "Rotlarg", French = "Rotlarg", German = "Rotlarg", Russian = "Ротларг" } },
			{ name = { English = "Thundrakk", French = "Thundrakk", German = "Thundrakk", Russian = "Тундракк" } },
			{ name = { English = "Tybretta", French = "Tybretta", German = "Tybretta", Russian = "Тибретта" } },
			{ name = { English = "Krazda", French = "Krazda", German = "Krazda", Russian = "Кразда" } },
			{ name = { English = "Ol' Barnacle", French = "Vieille bernacle", German = "Alter Kerl", Russian = "Старые наросты" } },
			{ name = { English = "Gorehorn", French = "Corne-à-charpie", German = "Bluthorn", Russian = "Кроворог" } },
			{ name = { English = "Hervaz", French = "Hervaz", German = "Hervaz", Russian = "Герваз" } },
			{ name = { English = "Jacenda Cassana", French = "Jacenda Cassana", German = "Jacenda Cassana", Russian = "Джаценда Кассана" } },
			{ name = { English = "Murksnap", French = "Claquesombre", German = "Schlammschnapper", Russian = "Мраколов" } },
			{ name = { English = "Sickleclaw", French = "Faucigriffe", German = "Sichelklaue", Russian = "Серпокоготь" } },
			{ name = { English = "Statara", French = "Statara", German = "Statara", Russian = "Статара" } },
			{ name = { English = "Warlord Jurgak", French = "Seigneur de guerre Jurgak", German = "Kriegsherr Jurgak", Russian = "Воевода Юргак" } },
			{ name = { English = "Ruffadillo", French = "Combatatou", German = "Ruffadillo", Russian = "Руффадилло" } },
			{ name = { English = "Mari Lodden", French = "Mari Lodden", German = "Mari Lodden", Russian = "Мари Лодден" } },
			{ name = { English = "Ironsnout", French = "Groin-de-fer", German = "Eisenschnauze", Russian = "Железный хобот" } },
			{ name = { English = "Jardlae", French = "Jardlae", German = "Jardlae", Russian = "Джардлаэ" } },
			{ name = { English = "Prophet Leo Jharvais", French = "Prophète Leo Jharvais", German = "Prophet Leo Jharvais", Russian = "Пророк Лео Жарве" } },
			{ name = { English = "Treebreaker", French = "Brisarbre", German = "Baumbrecher", Russian = "Древолом" } },
			{ name = { English = "Venomlash", French = "Fouettevenin", German = "Giftpeitsche", Russian = "Ядохлыст" } },
			{ name = { English = "Killeth", French = "Killeth", German = "Killeth", Russian = "Киллет" } },
			{ name = { English = "Crimsontalon", French = "Cramoiserre", German = "Purpurkralle", Russian = "Багровый коготь" } },
			{ name = { English = "Gloomspur", French = "Tristéperon", German = "Dunkelsporn", Russian = "Мрачношип" } },
			{ name = { English = "Harrel Rimesong", French = "Harrel Rimechant", German = "Harrel Reifsang", Russian = "Гаррел Раймсонг" } },
			{ name = { English = "Lupo", French = "Lupo", German = "Lupo", Russian = "Лупо" } },
			{ name = { English = "Master Assassin Lokarg", French = "Maître Assassin Lokarg", German = "Meister-Assassine Lokarg", Russian = "Старший убийца Локарг" } },
			{ name = { English = "Overseer Hk'Kttk", French = "Superviseur Hk'Kttk", German = "Aufseher Hk'Kttk", Russian = "Хк'Кттк Смотрителя" } },
			{ name = { English = "Qarn", French = "Qarn", German = "Qarn", Russian = "Кварн" } },
			{ name = { English = "Ranger Fahrand", French = "Rôdeur Fahrand", German = "Waldläufer Fahrand", Russian = "Следопыт Фахранд" } },
			{ name = { English = "Reddik", French = "Reddik", German = "Reddik", Russian = "Реддик" } },
			{ name = { English = "Sandblight", French = "Rouillesable", German = "Sandpest", Russian = "Песчаная парша" } },
			{ name = { English = "Terminator Sentinel", French = "Sentinelle terminatrice", German = "Terminator-Schildwache", Russian = "Охранник-уничтожитель" } },
			{ name = { English = "Terrorsting", French = "Aiguillon-terrible", German = "Schreckensstachel", Russian = "Жуткожал" } },
			{ name = { English = "Yull", French = "Yull", German = "Yull", Russian = "Йоль" } },
			{ name = { English = "Kasxu", French = "Kasxu", German = "Kasxu", Russian = "Гневный моллюск" } },
			{ name = { English = "Scavenger of Ionraic", French = "Charognard d'Ionraic", German = "Strauchdieb von Ionraic", Russian = "Защитник MKVI" } },
			{ name = { English = "Drone Bennkaa", French = "Drone Bennkaa", German = "Dronen-Bennkaa", Russian = "Владыка Трутней Кк'Зтрт" } },
			{ name = { English = "Phanagos", French = "Phanagos", German = "Phanagos", Russian = "Владыка Трутней Зк'тазз" } },
			{ name = { English = "Cyrdel", French = "Cyrdel", German = "Cyrdel", Russian = "Серое копыто" } },
			{ name = { English = "Overseer Primarch", French = "Superviseur Primarch", German = "Aufseher Primarch", Russian = "Налзиратель улья Тз'Краз" } },
			{ name = { English = "Apothecary Sakalo", French = "Apothicaire Sakalo", German = "Apotheker Sakalo", Russian = "Луттин" } },
			{ name = { English = "Servant of Ezwah", French = "Serviteur d'Ezwah", German = "Diener von Ezwah", Russian = "Сигумане" } },
			{ name = { English = "Terrantulon", French = "Terrantulon", German = "Terrantulon", Russian = "Террантулон" } },
			{ name = { English = "Captain Kalkuli", French = "Capitaine Kalkuli", German = "Hauptmann Kalkuli", Russian = "Капитан Калькули" } },
			{ name = { English = "Doctor Freneza", French = "Docteur Freneza", German = "Doktor Freneza", Russian = "Доктор Френеза" } },
			{ name = { English = "Baron Teruran", French = "Baron Teruran", German = "Baron Teruran", Russian = "Барон Теруран" } },
			{ name = { English = "Diocletian", French = "Dioclétien", German = "Diocletian", Russian = "Диоклетиан" } },
			{ name = { English = "Fulmo", French = "Fulmo", German = "Fulmo", Russian = "Фульмо" } },
			{ name = { English = "Unuarangecon", French = "Unuarangecon", German = "Unuarangecon", Russian = "Разорганизатор" } },
			{ name = { English = "Colonel Lojaleco", French = "Colonel Lojaleco", German = "Oberst Lojaleco", Russian = "Полковник Лойялеко" } },
			{ name = { English = "Rugxa", French = "Rugxa", German = "Rugxa", Russian = "Ругза" } },
			{ name = { English = "Lyrissa", French = "Lyrissa", German = "Lyrissa", Russian = "Lyrissa" } },
			{ name = { English = "Krilck", French = "Krilck", German = "Krilck", Russian = "Krilck" } },
			{ name = { English = "Captain Gerrick", French = "Capitaine Gerrick", German = "Kapitän Gerrick", Russian = "Captain Gerrick" } },
			{ name = { English = "Razormouth", French = "Coupegueule", German = "Klingenmaul", Russian = "Razormouth" } },
			{ name = { English = "Gnasher", French = "Grinceur", German = "Knirscher", Russian = "Gnasher" } },
			{ name = { English = "Darkfin", French = "Darkfin", German = "Dunkelflosse", Russian = "Darkfin" } },
			{ name = { English = "Yhcnip", French = "Yhcnip", German = "Yhcnip", Russian = "Yhcnip" } },
			{ name = { English = "Vrodrak", French = "Vrodrak", German = "Vrodrak", Russian = "Vrodrak" } },
			{ name = { English = "Moldervi", French = "Moldervi", German = "Moldervi", Russian = "Moldervi" } },
			{ name = { English = "Rogarsh", French = "Rogarsh", German = "Rogarsh", Russian = "Rogarsh" } },
			{ name = { English = "Syraxx", French = "Syraxx", German = "Syraxx", Russian = "Syraxx" } },
			{ name = { English = "Kieran", French = "Kieran", German = "Kieran", Russian = "Kieran" } },
			{ name = { English = "Pyrestorm", French = "Brasetempête", German = "Scheiterhaufensturm", Russian = "Pyrestorm" } },
			{ name = { English = "Sleenth", French = "Sleenth", German = "Sleenth", Russian = "Sleenth" } },
			{ name = { English = "Wrathburn", French = "Brûle-courroux", German = "Zornesbrand", Russian = "Wrathburn" } },
			{ name = { English = "Hresh", French = "Hresh", German = "Hresh", Russian = "Hresh" } },
			{ name = { English = "Granesh", French = "Granesh", German = "Granesh", Russian = "Granesh" } },
			{ name = { English = "Pyrus", French = "Pyrus", German = "Pyrus", Russian = "Pyrus" } },
			{ name = { English = "Xiril", French = "Xiril", German = "Xiril", Russian = "Xiril" } },
			{ name = { English = "Ultana", French = "Ultana", German = "Ultana", Russian = "Ultana" } },
			{ name = { English = "Poprik", French = "Poprik", German = "Poprik", Russian = "Poprik" } },
			{ name = { English = "Thwarna", French = "Thwarna", German = "Thwarna", Russian = "Thwarna" } },
			{ name = { English = "Laicheon", French = "Laicheon", German = "Laicheon", Russian = "Laicheon" } },
			{ name = { English = "Grauka", French = "Grauka", German = "Grauka", Russian = "Grauka" } },
			{ name = { English = "Sir Krytan", French = "Sire Krytan", German = "Sir Krytan", Russian = "Sir Krytan" } },
			{ name = { English = "Zrashpa", French = "Zrashpa", German = "Zrashpa", Russian = "Zrashpa" } },
			{ name = { English = "Hrylla", French = "Hrylla", German = "Hrylla", Russian = "Hrylla" } },
			{ name = { English = "Uluru", French = "Uluru", German = "Uluru", Russian = "Uluru" } },
			{ name = { English = "Agralax", French = "Agralax", German = "Agralax", Russian = "Agralax" } },
			{ name = { English = "Impotent Flame", French = "Flamme impuissante", German = "Schwache Flamme", Russian = "Impotent Flame" } },
			{ name = { English = "Lord Twyl", French = "Seigneur des Fées Twyl", German = "Feenfürst Twyl", Russian = "Lord Twyl" } },
			{ name = { English = "Zareph Mathos", French = "Zareph Mathos", German = "Zareph Mathos", Russian = "Zareph Mathos" } },
			{ name = { English = "Cyril Kalmar", French = "Cyril Kalmar", German = "Cyril Kalmar", Russian = "Cyril Kalmar" } },
			{ name = { English = "General Batua", French = "Général Batua", German = "General Batua", Russian = "General Batua" } },
			{ name = { English = "Queen Miela", French = "Reine Miela", German = "Königin Miela", Russian = "Queen Miela" } },
			{ name = { English = "Tidelord Lyrr", French = "Maîtresse des Marées Lyrr", German = "Flutenfürst Lyrr", Russian = "Tidelord Lyrr" } },
			{ name = { English = "Faceless Man", French = "Homme sans visage", German = "Mann ohne Gesicht", Russian = "Faceless Man" } },
			{ name = { English = "Asha Catari", French = "Asha Catari", German = "Asha Catari", Russian = "Asha Catari" } },
			{ name = { English = "Executor Khazik", French = "Exécuteur Khazik", German = "Vollstrecker Khazik", Russian = "Executor Khazik" } },
			{ name = { English = "Saerloth the Avenger", French = "Saerloth le Vengeur", German = "Saerloth der Rächer", Russian = "Saerloth the Avenger" } },
			{ name = { English = "Gruej", French = "Gruej", German = "Gruej", Russian = "Gruej" } },
			{ name = { English = "Kilk Clak", French = "Kilk Clak", German = "Klik Clak", Russian = "Kilk Clak" } },
			{ name = { English = "Jolyn", French = "Jolyn", German = "Jolyn", Russian = "Jolyn" } },
			{ name = { English = "Wurtesh", French = "Wurtesh", German = "Wurtesh", Russian = "Wurtesh" } },
			{ name = { English = "Raging Frost", French = "Givre enragé", German = "Tobender Frost", Russian = "Raging Frost" } },
			{ name = { English = "Rirnef", French = "Rirnef", German = "Rirnef", Russian = "Rirnef" } },
			{ name = { English = "Numera", French = "Numera", German = "Numera", Russian = "Numera" } },
			{ name = { English = "Yaghi", French = "Yaghi", German = "Yaghi", Russian = "Yaghi" } },
			{ name = { English = "Sheelof", French = "Sheelof", German = "Sheelof", Russian = "Sheelof" } },
			{ name = { English = "Quoron", French = "Quoron", German = "Quoron", Russian = "Quoron" } },
			{ name = { English = "Yrtul", French = "Yrtul", German = "Yrtul", Russian = "Yrtul" } },
			{ name = { English = "Brogir", French = "Brogir", German = "Brogir", Russian = "Brogir" } },
			{ name = { English = "Ithmyr", French = "Ithmyr", German = "Ithmyr", Russian = "Ithmyr" } },
			{ name = { English = "Aznar", French = "Aznar", German = "Aznar", Russian = "Aznar" } },
			{ name = { English = "Laryk", French = "Laryk", German = "Laryk", Russian = "Laryk" } },
			{ name = { English = "Tanri", French = "Tanri", German = "Tanri", Russian = "Tanri" } },
			{ name = { English = "Ulooloo", French = "Ulooloo", German = "Ulooloo", Russian = "Ulooloo" } },
			{ name = { English = "Hrundir", French = "Hrundir", German = "Hrundir", Russian = "Hrundir" } },
		}
	},
	{
		Name = { English = "Cairns", German = "Steingräber", French = "Cairns", Russian = "Курганы" },
		Type = 3, Group = false, Code = "cairns",
		Achievement = { "c66ACCF9FA15C0D57", "cFA3D5D4871FB48FB" },
		Data = {
			{ name = { English = "Cairn of Bahar Farwind", French = "Cairn de Bahar Vent-lointain", German = "Steingrab von Bahar Fernwind", Russian = "Каирн Бара Фарвинда" } },
			{ name = { English = "Cairn of Nasreen Tahleed", French = "Cairn de Nasreen Tahleed", German = "Steingrab von Nasreen Tahleed", Russian = "Каирн Нарсина Тахлида" } },
			{ name = { English = "Cairn of Valta Cliffswind", French = "Cairn de Valta Cliffswind", German = "Steingrab von Valta Klippenwind", Russian = "Каирн Вальты Клиффсвинд" } },
			{ name = { English = "Cairn of Engel Malik", French = "Cairn d'Engel Malik", German = "Steingrab von Engel Malik", Russian = "Каирн Энгела Малика" } },
			{ name = { English = "Cairn of Harwin Kalmar", French = "Cairn d'Harwin Kalmar", German = "Steingrab von Harwin Kalmar", Russian = "Каирн Харвина Келмара" } },
			{ name = { English = "Cairn of Faraz Massi", French = "Cairn de Faraz Massi", German = "Steingrab von Faraz Massi", Russian = "Каирн Фараза Масси" } },
			{ name = { English = "Cairn of Roma Gammult", French = "Cairn de Roma Gammult", German = "Steingrab von Roma Gammult", Russian = "Каирн Ромы Гаммульт" } },
			{ name = { English = "Cairn of Miron Sternhammer", French = "Cairn de Miron Durmarteau", German = "Steingrab von Miron Sturmhammer", Russian = "Каирн Мирона Крепкомолот" } },
			{ name = { English = "Cairn of Thera Valnir", French = "Cairn de Thera Valnir", German = "Steingrab von Thera Valnir", Russian = "Каирн Теры Вальнир" } },
			{ name = { English = "Cairn of Qara Chuluun", French = "Cairn de Qara Chuluun", German = "Steingrab von Qara Chuluun", Russian = "Каирн Квары Чулуун" } },
			{ name = { English = "Cairn of Mongo Vachir", French = "Cairn de Mongo Vachir", German = "Steingrab von Murgo Vachir", Russian = "Каирн Монго Вахира" } },
			{ name = { English = "Cairn of Nylaan Starhearth", French = "Cairn de Nylaan du Foyer Étoilé", German = "Steingrab von Nylaan Sternfeuer", Russian = "Каирн Ньялана Звездный Свет" } },
			{ name = { English = "Cairn of Irque Guemech", French = "Cairn d'Irque Guemech", German = "Steingrab von Irque Guemech", Russian = "Каирн Иркве Гвемеш" } },
			{ name = { English = "Cairn of Nunmempeh Batshinshin", French = "Cairn de Nunmempeh Batshinshin", German = "Steingrab von Nunmempeh Batshinshin", Russian = "Каирн Нунмемпе Батшиншин" } },
			{ name = { English = "Cairn of Ina'eme Sarus", French = "Cairn d'Ina'eme Sarus", German = "Steingrab von Ina'eme Sarus", Russian = "Каирн Ина'еме Сарус" } },
			{ name = { English = "Cairn of Queny Sulgar", French = "Cairn de Queny Sulgar", German = "Steingrab von Queny Sulgar", Russian = "Каирн Квени Шульгар" } },
			{ name = { English = "Cairn of Ashsh Tonavor", French = "Cairn d'Ashsh Tonavor", German = "Steingrab von Ashsh Tonavor", Russian = "Каирн Ашхшх Тонавор" } },
			{ name = { English = "Cairn of Oryp Namap", French = "Cairn d'Oryp Namap", German = "Steingrab von Oryp Namap", Russian = "Каирн Орип Намап" } },
			{ name = { English = "Cairn of Banald Warver", French = "Cairn de Banald Warver", German = "Steingrab von Banald Warver", Russian = "Каирн Банальда Варвера" } },
			{ name = { English = "Cairn of Tathon I'rilgar", French = "Cairn de Tathon I'rilgar", German = "Steingrab von Tathon I'rilgar", Russian = "Каирн Тафона Иль'ригара" } },
			{ name = { English = "Cairn of Riduf Enthurn", French = "Cairn de Riduf Enthurn", German = "Steingrab von Riduf Enthurn", Russian = "Каирн Ридуфа Энтурна" } },
			{ name = { English = "Cairn of Yer'shyi Att", French = "Cairn de Yer'shyi Att", German = "Steingrab von Yer'shyi Att", Russian = "Каирн Йер'шуй Атт" } },
			{ name = { English = "Cairn of Niey Tiran", French = "Cairn de Niey Tiran", German = "Steingrab von Niey Tiran", Russian = "Каирн Нией Тиран" } },
			{ name = { English = "Cairn of Is'bur Oughverund", French = "Cairn d'Is'bur Oughverund", German = "Steingrab von Is'bur Oughverund", Russian = "Каирн Ис'бура Оугхверунда" } },
			{ name = { English = "Cairn of Skeltorard Perdyn", French = "Cairn de Skeltorard Perdyn", German = "Steingrab von Skeltorard Perdyn", Russian = "Каирн Скельторард Пердин" } },
			{ name = { English = "Cairn of Okalu Prev", French = "Cairn d'Okalu Prev", German = "Steingrab von Okalu Prev", Russian = "Каирн Окалу Прев" } },
			{ name = { English = "Cairn of Orn Tonall", French = "Cairn d'Orn Tonall", German = "Steingrab von Orn Tonall", Russian = "Каирн Орн Тоналл" } },
			{ name = { English = "Cairn of Omoos'i Itnal", French = "Cairn d'Omoos'i Itnal", German = "Steingrab von Omoos'i Itnal", Russian = "Каирн Омоос'и Итхал" } },
			{ name = { English = "Cairn of Osm", French = "Cairn d'Osm", German = "Steingrab von Osm", Russian = "Каирн Осм" } },
			{ name = { English = "Cairn of Vesdar Doc", French = "Cairn de Vesdar Doc", German = "Steingrab von Vesdar Doc", Russian = "Каирн Весдара Дока" } },
			{ name = { English = "Cairn of Sayiss Vernys", French = "Cairn de Sayiss Vernys", German = "Steingrab von Sayiss Vernys", Russian = "Каирн Сайисс Вернис" } },
			{ name = { English = "Cairn of Omight Tonig", French = "Cairn d'Omight Tonig", German = "Steingrab von Omight Tonig", Russian = "Каирн Омайт Тониг" } },
			{ name = { English = "Cairn of Uomu Tonig", French = "Cairn d'Uomu Tonig", German = "Steingrab von Uomu Tonig", Russian = "Каирн Уому Тониг" } },
			{ name = { English = "Cairn of Morbur Atl Itther", French = "Cairn de Morbur Atl Itther", German = "Steingrab von Morbur Atl Itther", Russian = "Каирн Морбур Атль Иттер" } },
			{ name = { English = "Cairn of Ildbur Reled", French = "Cairn d'Ildbur Reled", German = "Steingrab von Ildbur Reled", Russian = "Каирн Ильдбура Релида" } },
			{ name = { English = "Cairn of Tirror Awaya", French = "Cairn de Tirror Awaya", German = "Steingrab von Tirror Awaya", Russian = "Каирн Тиррора Авайи" } },
			{ name = { English = "Cairn of Lunibe", French = "Cairn de Lunibe", German = "Steingrab von Lunibe", Russian = "Каирн Лунибе" } },
			{ name = { English = "Cairn of Fevok Beleen", French = "Cairn de Fevok Beleen", German = "Steingrab von Fevok Beleen", Russian = "Каирн Февок Белин" } },
			{ name = { English = "Cairn of Urari Urari", French = "Cairn d'Urari Urari", German = "Steingrab von Urari Urari", Russian = "Каирн Урари Урари" } },
			{ name = { English = "Cairn of Warsul Icero", French = "Cairn de Warsul Icero", German = "Steingrab von Warsul Icero", Russian = "Каирн Варсул Ицеро" } },
		}
	},
	{
		Name = { English = "Jumps", German = "Springt", French = "Saut", Russian = "Прыжки" },
		Type = 3, Group = false, Code = "jumps",
		Achievement = { "c7866C1AB8AB994FF", "c11BB750F25FD0308", "c1108914E73238E46", "c063E651D3A069858", "c0A11BA1D90163290", "c02A9D6598104A4E4", "c753220CAE70F7E1E" },
		Data = {
			{ name = { English = "A Quick Escape", French = "Raccourci vertical", German = "Schnelle Flucht", Russian = "Легкий выход" } },
			{ name = { English = "So Much Fun, I Did it Once", French = "Trop marrant", German = "Das kenne ich, was für ein Spaß", Russian = "Шутка, повторенная дважды" } },
			{ name = { English = "Are You Nuts!", French = "Mais vous êtes fous ?!", German = "Ihr seid verrückt!", Russian = "Ты что, с дуба рухнул?" } },
			{ name = { English = "I Hope This is Just Water", French = "J'espère que c'est de l'eau", German = "Hoffentlich ist das bloß Wasser", Russian = "Надеюсь, это просто вода" } },
			{ name = { English = "I Wish I Had a Barrel", French = "Si j'avais un para-\"chute\"", German = "Ich wünschte, ich hätte ein Fass", Russian = "Была бы бочка у меня" } },
			{ name = { English = "Falling for Fortune", French = "Le saut de la foi", German = "Fallen fürs Glück", Russian = "Прыжок наудачу" } },
			{ name = { English = "Plop!", French = "Plop !", German = "Plupp!", Russian = "Бульк!" } },
			{ name = { English = "Jump off the Waterfalls in Dormant Core", French = "Se jeter du haut de la cascade dans le Cœur Dormant", German = "Springt am Ruhenden Kern von den Wasserfällen.", Russian = "Спрыгнуть с водопадов Спящего Ядра" }, displayname = { English = "Cliff Diver", French = "Saut de falaise", German = "Klippenspringer", Russian = "Ныряльщик с утесов" } },
			{ name = { English = "Jump!", French = "Sauter !", German = "Springt!", Russian = "Прыгай!" }, displayname = { English = "Lovers Leap", French = "Perchoir des amants", German = "Liebendensprung", Russian = "Трамплин Несчастной Любви" } },
			{ name = { English = "Splash or Splat", French = "Paf ou plouf", German = "Platsch oder Matsch", Russian = "Шмяк или ляп" } },
			{ name = { English = "Vine Diving", French = "Plongeon aviné", German = "Rankensprung", Russian = "Прыжок с лианы" } },
			{ name = { English = "Estate of Insanity", French = "Domaine de la Folie", German = "Anwesen des Irrsinns", Russian = "Поместье Безумия" } },
			{ name = { English = "More Vine Diving", French = "Saut de vigne", German = "Sprung von der Ranke", Russian = "Больше прыжков с лиан" } },
			{ name = { English = "You Aren't the First New Recruit To Do This", French = "D'autres l'ont fait avant vous", German = "Ihr seid nicht der erste Rekrut, der das tut", Russian = "Вы не первый новобранец, учудивший такое" } },
			{ name = { English = "That Had Better Not Be a Mirage", French = "Pourvu que ce ne soit pas un mirage", German = "Das hätte besser keine Illusion sein sollen", Russian = "Лучше бы это был не мираж" } },
			{ name = { English = "Dendromic Diver", French = "Plongeur du Rhizome", German = "Dendromspringer", Russian = "Дендромский ныряльщик" } },
			{ name = { English = "Paratroop Without a Chute", French = "Un para sans chute", German = "Landung ohne Schirm", Russian = "Десант без парашюта" } },
			{ name = { English = "Camp Falls", French = "Chutes dans les camps", German = "Lagerfälle", Russian = "Падение лагеря" } },
			{ name = { English = "Seriously, That Was It?", French = "Ah bon, c'est tout ?", German = "Ernsthaft. Das war alles?", Russian = "Не, а чо это было-то?" } },
			{ name = { English = "Sky Diving", French = "Saut de l'ange", German = "Gleitspringen", Russian = "Скай-дайвинг" } },
			{ name = { English = "Moonriven Breach", French = "Moonriven Breach", German = "Moonriven Breach", Russian = "Moonriven Breach" } },
			{ name = { English = "Temple of Ranri", French = "Temple of Ranri", German = "Temple of Ranri", Russian = "Temple of Ranri" } },
			{ name = { English = "Grove of the Sea", French = "Grove of the Sea", German = "Grove of the Sea", Russian = "Grove of the Sea" } },
			{ name = { English = "Atragarian Well", French = "Atragarian Well", German = "Atragarian Well", Russian = "Atragarian Well" } },
			{ name = { English = "Ghar Station Mem", French = "Ghar Station Mem", German = "Ghar Station Mem", Russian = "Ghar Station Mem" } },
			{ name = { English = "Thekk Overlook", French = "Thekk Overlook", German = "Thekk Overlook", Russian = "Thekk Overlook" } },
			{ name = { English = "Gauntlet Street", French = "Gauntlet Street", German = "Gauntlet Street", Russian = "Gauntlet Street" } },
			{ name = { English = "Hedfell Farms", French = "Hedfell Farms", German = "Hedfell Farms", Russian = "Hedfell Farms" } },
			{ name = { English = "Vale of Dreams", French = "Vale of Dreams", German = "Vale of Dreams", Russian = "Vale of Dreams" } },
			{ name = { English = "Shadow Scion", French = "Shadow Scion", German = "Shadow Scion", Russian = "Shadow Scion" } },
			{ name = { English = "Circle of Gryfnill", French = "Circle of Gryfnill", German = "Circle of Gryfnill", Russian = "Circle of Gryfnill" } },
			{ name = { English = "Temple of Aia", French = "Temple of Aia", German = "Temple of Aia", Russian = "Temple of Aia" } },
			{ name = { English = "Skarntinn Shelf", French = "Skarntinn Shelf", German = "Skarntinn Shelf", Russian = "Skarntinn Shelf" } },
			{ name = { English = "Port Scuddra", French = "Port Scuddra", German = "Port Scuddra", Russian = "Port Scuddra" } },
			{ name = { English = "The Big Dig", French = "The Big Dig", German = "The Big Dig", Russian = "The Big Dig" } },
		}
	},
	{
		Name = { English = "Henges", German = "Hengen", French = "Mégalithes", Russian = "Хенджи" },
		Type = 3, Group = false, Code = "henges",
		Achievement = { "cFE9CA6B57B8DE27E" },
		Data = {
			{ name = { English = "City Core Henge", French = "Mégalithe du Cœur de la Cité", German = "Henge des Stadtkerns", Russian = "Ограда Сердца Города" } },
			{ name = { English = "Eastern Holdings Henge", French = "Mégalithe des Fiefs de l'Orient", German = "Henge der Östlichen Besitztümer", Russian = "Ограда Восточных Владений" } },
			{ name = { English = "Ardent Domain Henge", French = "Mégalithe de la Contrée Ardente", German = "Henge des Eiferer-Reichs", Russian = "Ограда Пылающего Домена" } },
			{ name = { English = "Kingsward Henge", French = "Mégalithe du Protectorat du Roi", German = "Henge des Königszirkels", Russian = "Ограда Королевской Ограды" } },
			{ name = { English = "The Dendrome Henge", French = "Le Mégalithe du Rhizome", German = "Henge des Dendroms", Russian = "Хендж Дендрома" } },
			{ name = { English = "Ashora Henge", French = "Mégalithe d'Ashora", German = "Henge von Ashora", Russian = "Ограда Ашоры" } },
			{ name = { English = "Cape Jule Henge", French = "Mégalithe du Cap Yule", German = "Henge von Kap Jul", Russian = "Ограда Мыса Перемен" } },
			{ name = { English = "Seratos Henge", French = "Mégalithe de Serratos", German = "Henge von Seratos", Russian = "Хендж Сератоса" } },
			{ name = { English = "Morban Henge", French = "Mégalithe de Morban", German = "Henge von Morban", Russian = "Ограда Морбана" } },
			{ name = { English = "Steppes Of Infinity Henge", French = "Mégalithe des Steppes de l'Infini", German = "Henge der Steppen der Unendlichkeit", Russian = "Ограда Степей Вечности" } },
			{ name = { English = "Pelladane Henge", French = "Mégalithe de Pelladane", German = "Henge von Pelladane", Russian = "Пелладанская изгородь" } },
		}
	},
	{
		Name = { English = "Puzzles", German = "Puzzles", French = "Puzzles", Russian = "Головоломки" },
		Type = 3, Group = false, Code = "puzzles",
		Achievement = { "c7364E6709101509D", "c371364DFA2B82F2E", "c3162A0CD9058EF1D", "c11A137459ED37568", "c79D55DC97CC7439F" },
		Data = {
			{ name = { English = "Sleeping with the Fishes", French = "Comme un poisson dans l'eau", German = "Schlafen bei den Fischen", Russian = "Сон с рыбами" } },
			{ name = { English = "Puzzled at the Top of the World", French = "Énigme sur le toit du monde", German = "Rätselraten auf dem Dach der Welt", Russian = "В раздумьях на вершине мира" } },
			{ name = { English = "Spinning Plates", French = "Plaques tournantes", German = "Drehscheiben", Russian = "Вращающиеся плиты" } },
			{ name = { English = "Shield Wall", French = "Mur protecteur", German = "Schildwall", Russian = "Защитная стена" } },
			{ name = { English = "A Barrel of Laughs", French = "Partie de plaisir", German = "Ein Fass voller Lacher", Russian = "В каждой бочке затычка" } },
			{ name = { English = "Scarwood by Torchlight", French = "Les Bois Meurtris à la lumière des torches", German = "Wundwald im Fackelschein", Russian = "Шрамолесье в свете факелов" } },
			{ name = { English = "Don't Be Cagey", French = "Serrurier émérite", German = "Nur nicht so verschlossen", Russian = "И никаких клеток" } },
			{ name = { English = "Go With The Flow", French = "Suivre le cours", German = "Lasst Euch treiben", Russian = "Пора сплавляться" } },
			{ name = { English = "Tracks in the Snow", French = "Des traces dans la neige", German = "Spuren im Schnee", Russian = "Следы на снегу" } },
			{ name = { English = "Herding Bats", French = "Dresseur de chauve-souris", German = "Fledermäuse hüten", Russian = "Погонщик летучих мышей" } },
			{ name = { English = "A Classic Treasure", French = "Un trésor classique", German = "Ein klassischer Schatz", Russian = "Классический клад" } },
			{ name = { English = "City Knights", French = "Chevaliers de la cité", German = "Stadtritter", Russian = "Рыцари города" }, displayname = { English = "A Knight's Tour", French = "L'expédition d'un cavalier", German = "Eine Ritterrundfahrt" } },
			{ name = { English = "Bogling Boggle", French = "Énigme énigmatique", German = "Sumpflinge erschrecken", Russian = "Болото болотников" }, displayname = { English = "Bogling Star Signs", French = "Signes astrolgiques tourbiers", German = "Sumpfling-Sternzeichen" } },
			{ name = { English = "Short Circuit", French = "Court-circuit", German = "Kurzschluss", Russian = "Короткое замыкание" }, displayname = { English = "Circuit Diagrams", French = "Schémas de circuits", German = "Schaltpläne" } },
			{ name = { English = "Going Dotty", French = "À perdre la raison", German = "Getüpfelt, nicht kariert", Russian = "Точки - это сила" }, displayname = { English = "Seeing Dots", French = "Voir des points", German = "Punkte sehen" } },
			{ name = { English = "Quizzical Queens", French = "Reines moqueuses", German = "Komische Königinnen", Russian = "Королевы вопросов и ответов" }, displayname = { English = "Queen's Gambit", French = "Le Gambit de la dame", German = "Gambit der Königin" } },
			{ name = { English = "Black Box", French = "Boîte noire", German = "Schwarze Kiste", Russian = "Черный ящик" }, displayname = { English = "Little Black Book", French = "Petit livre noir", German = "Kleines schwarzes Buch" } },
			{ name = { English = "Get The Serpent Treasure", French = "Récupérer le trésor du serpent", German = "Holt Euch den Schlangenschatz", Russian = "Найти змеиное сокровище" }, displayname = { English = "Snake Eyes", French = "Les Yeux du serpent", German = "Schlangenauge", Russian = "Змеиное сокровище" } },
			{ name = { English = "Light The Stones", French = "Allumer les Pierres", German = "Erleuchtet die Steine.", Russian = "Зажечь камни" }, displayname = { English = "Emerald Enigma", French = "Énigme d'émeraude", German = "Smaragdrätsel", Russian = "Изумрудная загадка" } },
			{ name = { English = "Amazing!", French = "Incroyable !", German = "Erstaunlich!", Russian = "Amazing!" } },
			{ name = { English = "Code Breaker!", French = "Décodage !", German = "Codeknacker!", Russian = "Code Breaker!" } },
			{ name = { English = "Boxed In", French = "En boîte", German = "Eingerahmt", Russian = "Boxed In" } },
			{ name = { English = "Amazing Race", French = "Course incroyable", German = "Erstaunliches Rennen", Russian = "Amazing Race" } },
			{ name = { English = "Super Sleuth", French = "Super détective", German = "Spitzendetektiv", Russian = "Super Sleuth" } },
			{ name = { English = "Thinking Out of the Box", French = "Preuve d'originalité", German = "Freies Denken", Russian = "Thinking Out of the Box" } },
		}
	},
	{
		Name = { English = "Named mobs", German = "Benannt mobs", French = "Mobs nommés", Russian = "Именные мобы" },
		Type = 2, Group = false, Code = "namedmobs",
		Achievement = { "cFAEF566461C3EF98", "cFDD2E70E652894B5" },
		Data = {
			{ name = { English = "Rognatt", French = "Rognatt", German = "Rognatt", Russian = "Рогнатт" } },
			{ name = { English = "Lastro", French = "Lastro", German = "Lastro", Russian = "Ластро" } },
			{ name = { English = "Karlent", French = "Karlent", German = "Karlent", Russian = "Карлент" } },
			{ name = { English = "Carglion", French = "Carglion", German = "Carglion", Russian = "Карглион" } },
			{ name = { English = "Scourgeclaw", French = "Griffléau", German = "Geißelklaue", Russian = "Хлыстокоготь" } },
			{ name = { English = "Prototype XII-T7", French = "Prototype XII-T7", German = "Prototyp XII-T7", Russian = "Прототип XII-T7" } },
			{ name = { English = "Cankermaw", French = "Gueule-de-chancre", German = "Geschwürschlund", Russian = "Язвенная пасть" } },
			{ name = { English = "Blighthoof", French = "Rouillesabot", German = "Pesthuf", Russian = "Паршивое копытце" } },
			{ name = { English = "Rotmaw", French = "Gueule-pourrie", German = "Faulschlund", Russian = "Гнилопаст" } },
		}
	},
	{
		Name = { English = "Farseers", German = "Weitblicker", French = "Vigies", Russian = "Провидцы" },
		Type = 2, Group = false, Code = "farseers",
		Achievement = { "c46D9C2137C850D46", "c16A154DFB4C14356", "c642165653D33915D" },
		Data = {
			{ name = { English = "Farseer Zyvera", French = "Vigie Zyvera", German = "Weitblicker Zyvera", Russian = "Farseer Zyvera" } },
			{ name = { English = "Farseer Santus", French = "Vigie Santus", German = "Weitblicker Santus", Russian = "Farseer Santus" } },
			{ name = { English = "Farseer Arroyo", French = "Vigie Arroyo", German = "Weitblicker Arroyo", Russian = "Farseer Arroyo" } },
			{ name = { English = "Farseer Tratain", French = "Vigie Tratain", German = "Weitblicker Tratain", Russian = "Farseer Tratain" } },
			{ name = { English = "Farseer Uraka", French = "Vigie Uraka", German = "Weitblicker Uraka", Russian = "Farseer Uraka" } },
			{ name = { English = "Farseer Cuphes", French = "Vigie Cuphes", German = "Weitblicker Cuphes", Russian = "Farseer Cuphes" } },
			{ name = { English = "Farseer Koronee", French = "Vigie Koronee", German = "Weitblicker Koronee", Russian = "Farseer Koronee" } },
			{ name = { English = "Farseer Ith", French = "Vigie Ith", German = "Weitblicker Ith", Russian = "Farseer Ith" } },
			{ name = { English = "Farseer Leneth", French = "Vigie Leneth", German = "Weitblicker Leneth", Russian = "Farseer Leneth" } },
			{ name = { English = "Farseer Gretiem", French = "Vigie Gretiem", German = "Weitblicker Gretiem", Russian = "Farseer Gretiem" } },
			{ name = { English = "Farseer Jeruth", French = "Vigie Jeruth", German = "Weitblicker Jeruth", Russian = "Farseer Jeruth" } },
			{ name = { English = "Farseer Dathan", French = "Vigie Dathan", German = "Weitblicker Dathan", Russian = "Farseer Dathan" } },
			{ name = { English = "Farseer Soreth", French = "Vigie Soreth", German = "Weitblicker Soreth", Russian = "Farseer Soreth" } },
			{ name = { English = "Farseer Tulvir", French = "Vigie Tulvir", German = "Weitblicker Tulvir", Russian = "Farseer Tulvir" } },
			{ name = { English = "Farseer Ali", French = "Vigie Ali", German = "Weitblicker Ali", Russian = "Farseer Ali" } },
			{ name = { English = "Farseer Saphira", French = "Vigie Saphira", German = "Weitblicker Saphira", Russian = "Farseer Saphira" } },
			{ name = { English = "Farseer Syrilth", French = "Vigie Syrilth", German = "Weitblicker Syrilth", Russian = "Farseer Syrilth" } },
			{ name = { English = "Farseer Farrell", French = "Vigie Farrell", German = "Weitblicker Farrell", Russian = "Farseer Farrell" } },
			{ name = { English = "Farseer Yefefiah", French = "Vigie Yefefiah", German = "Weitblicker Yefefiah", Russian = "Farseer Yefefiah" } },
			{ name = { English = "Farseer Ninarth", French = "Vigie Ninarth", German = "Weitblicker Ninarth", Russian = "Farseer Ninarth" } },
			{ name = { English = "Farseer Ohm", French = "Vigie Ohm", German = "Weitblicker Ohm", Russian = "Farseer Ohm" } },
			{ name = { English = "Farseer Gilta", French = "Vigie Gilta", German = "Weitblicker Gilta", Russian = "Farseer Gilta" } },
			{ name = { English = "Farseer Solana", French = "Vigie Solana", German = "Weitblicker Solana", Russian = "Farseer Solana" } },
			{ name = { English = "Farseer Menotius", French = "Vigie Menotius", German = "Weitblicker Menotius", Russian = "Farseer Menotius" } },
			{ name = { English = "Farseer Rothilion", French = "Vigie Rothilion", German = "Weitblicker Rothilion", Russian = "Farseer Rothilion" } },
			{ name = { English = "Farseer Baribal", French = "Vigie Baribal", German = "Weitblicker Baribal", Russian = "Farseer Baribal" } },
			{ name = { English = "Farseer Geila", French = "Vigie Geila", German = "Weitblicker Geila", Russian = "Farseer Geila" } },
			{ name = { English = "Farseer Sarhingar", French = "Vigie Sarhingar", German = "Weitblicker Sarhingar", Russian = "Farseer Sarhingar" } },
			{ name = { English = "Farseer Frianul", French = "Vigie Frianul", German = "Weitblicker Frianul", Russian = "Farseer Frianul" } },
			{ name = { English = "Farseer Arzlag", French = "Vigie Arzlag", German = "Weitblicker Arzlag", Russian = "Farseer Arzlag" } },
			{ name = { English = "Farseer Duzrug", French = "Vigie Duzrug", German = "Weitblicker Duzrug", Russian = "Farseer Duzrug" } },
			{ name = { English = "Farseer Ralnor", French = "Vigie Ralnor", German = "Weitblicker Ralnor", Russian = "Farseer Ralnor" } },
			{ name = { English = "Farseer Vuzashi", French = "Vigie Vuzashi", German = "Weitblicker Vuzashi", Russian = "Farseer Vuzashi" } },
			{ name = { English = "Farseer Eevina", French = "Vigie Eevina", German = "Weitblicker Eevina", Russian = "Farseer Eevina" } },
			{ name = { English = "Farseer Almedha", French = "Vigie Almedha", German = "Weitblicker Almedha", Russian = "Farseer Almedha" } },
			{ name = { English = "Farseer Phoippe", French = "Vigie Phoippe", German = "Weitblicker Phoippe", Russian = "Farseer Phoippe" } },
			{ name = { English = "Farseer Vezius", French = "Vigie Vezius", German = "Weitblicker Vezius", Russian = "Farseer Vezius" } },
			{ name = { English = "Farseer Sollix", French = "Vigie Sollix", German = "Weitblicker Sollix", Russian = "Farseer Sollix" } },
			{ name = { English = "Farseer Tirin", French = "Vigie Tirin", German = "Weitblicker Tirin", Russian = "Провидец Тирин" } },
			{ name = { English = "Farseer Solazi", French = "Vigie Solazi", German = "Weitblicker Solazi", Russian = "Провидец Солази" } },
			{ name = { English = "Farseer Rylayd", French = "Vigie Rylayd", German = "Weitblicker Rylayd", Russian = "Провидец Райлейд" } },
			{ name = { English = "Farseer Irothi", French = "Vigie Irothi", German = "Weitblicker Irothi", Russian = "Провидица Ироти" } },
			{ name = { English = "Farseer Tyfale", French = "Vigie Tyfale", German = "Weitblicker Tyfale", Russian = "Провидец Тайфел" } },
			{ name = { English = "Farseer Hisina", French = "Vigie Hisina", German = "Weitblicker Hisina", Russian = "Провидица Хисина" } },
			{ name = { English = "Farseer Nalani", French = "Vigie Nalani", German = "Weitblicker Nalani", Russian = "Провидица Налани" } },
			{ name = { English = "Farseer Iona", French = "Vigie Iona", German = "Weitblicker Iona", Russian = "Провидица Иона" } },
			{ name = { English = "Farseer Ravann", French = "Vigie Ravann", German = "Weitblicker Ravann", Russian = "Провидец Раванн" } },
			{ name = { English = "Farseer Drann", French = "Vigie Drann", German = "Weitblicker Drann", Russian = "Провидец Дранн" } },
			{ name = { English = "Farseer Aeny", French = "Vigie Aeny", German = "Weitblicker Aeny", Russian = "Провидица Аени" } },
			{ name = { English = "Farseer Aviale", French = "Vigie Aviale", German = "Weitblicker Aviale", Russian = "Провидец Эвиаль" } },
			{ name = { English = "Farseer Ashll", French = "Vigie Ashll", German = "Weitblicker Ashll", Russian = "Провидец Ашл" } },
			{ name = { English = "Farseer Kilane", French = "Vigie Kilane", German = "Weitblicker Kilane", Russian = "Провидец Килейн" } },
			{ name = { English = "Farseer Endayo", French = "Vigie Endayo", German = "Weitblicker Endayo", Russian = "Провидец Эндайо" } },
			{ name = { English = "Farseer Lyduna", French = "Vigie Lyduna", German = "Weitblicker Lyduna", Russian = "Провидица Лидуна" } },
			{ name = { English = "Farseer Yradi", French = "Vigie Yradi", German = "Weitblicker Yradi", Russian = "Провидица Иради" } },
			{ name = { English = "Farseer Lysidi", French = "Vigie Lysidi", German = "Weitblicker Lysidi", Russian = "Провидица Лидиси" } },
			{ name = { English = "Farseer Lurair", French = "Vigie Lurair", German = "Weitblicker Lurair", Russian = "Провидец Лурейр" } },
			{ name = { English = "Farseer Hyceas", French = "Vigie Hyceas", German = "Weitblicker Hyceas", Russian = "Провидец Гайсис" } },
			{ name = { English = "Farseer Hudraer", French = "Vigie Hudraer", German = "Weitblicker Hudraer", Russian = "Farseer Hudraer" } },
			{ name = { English = "Farseer Erfolg", French = "Vigie Erfolg", German = "Weitblicker Erfolg", Russian = "Farseer Erfolg" } },
			{ name = { English = "Farseer Slevius", French = "Vigie Slevius", German = "Weitblicker Slevius", Russian = "Farseer Slevius" } },
			{ name = { English = "Farseer Roslarb", French = "Vigie Roslarb", German = "Weitblicker Roslarb", Russian = "Farseer Roslarb" } },
			{ name = { English = "Farseer Provyrus", French = "Vigie Provyrus", German = "Weitblicker Provyrus", Russian = "Farseer Provyrus" } },
			{ name = { English = "Farseer Favnir", French = "Vigie Favnir", German = "Weitblicker Favnir", Russian = "Farseer Favnir" } },
			{ name = { English = "Farseer Hirador", French = "Vigie Hirador", German = "Weitblicker Hirador", Russian = "Farseer Hirador" } },
			{ name = { English = "Farseer Galzra", French = "Vigie Galzra", German = "Weitblicker Galzra", Russian = "Farseer Galzra" } },
		}
	},
	{
		Name = { English = "Purses", German = "Börsen", French = "Bourses", Russian = "Кошельки" },
		Type = 3, Group = false, Code = "purses",
		Achievement = { "c2E29E4009A02A015" },
		Data = {
			{ name = { English = "Ali's Purse", French = "Bourse d'Ali", German = "Alis Börse", Russian = "Ali's Purse" } },
			{ name = { English = "Herkyna's Purse", French = "Bourse d'Herkyna", German = "Herkynas Börse", Russian = "Herkyna's Purse" } },
			{ name = { English = "Calmacina's Purse", French = "Bourse de Calmacina", German = "Calmacinas Börse", Russian = "Calmacina's Purse" } },
			{ name = { English = "Diope's Purse", French = "Bourse de Diope", German = "Diopes Börse", Russian = "Diope's Purse" } },
			{ name = { English = "Salia's Purse", French = "Bourse de Salia", German = "Salias Börse", Russian = "Salia's Purse" } },
			{ name = { English = "Anche's Purse", French = "Bourse d'Anche", German = "Anches Börse", Russian = "Anche's Purse" } },
			{ name = { English = "Dronis's Purse", French = "Bourse de Dronis", German = "Dronis' Börse", Russian = "Dronis's Purse" } },
			{ name = { English = "Polyxo's Purse", French = "Bourse de Polyxo", German = "Polyxos Börse", Russian = "Polyxo's Purse" } },
			{ name = { English = "Daphne's Purse", French = "Bourse de Daphne", German = "Daphnes Börse", Russian = "Daphne's Purse" } },
			{ name = { English = "Pegleoche's Purse", French = "Bourse de Pegleoche", German = "Pegleoches Börse", Russian = "Pegleoche's Purse" } },
			{ name = { English = "Harta's Purse", French = "Bourse d'Harta", German = "Hartas Börse", Russian = "Harta's Purse" } },
			{ name = { English = "Ismena's Purse", French = "Bourse d'Ismena", German = "Ismenas Börse", Russian = "Ismena's Purse" } },
			{ name = { English = "Tia's Purse", French = "Bourse de Tia", German = "Tias Börse", Russian = "Tia's Purse" } },
			{ name = { English = "Ali's Other Purse", French = "Deuxième bourse d'Ali", German = "Alis andere Börse", Russian = "Ali's Other Purse" } },
			{ name = { English = "Polyx's Purse", French = "Bourse de Polyx", German = "Polyx' Börse", Russian = "Polyx's Purse" } },
			{ name = { English = "Telainthea's Purse", French = "Bourse de Telainthea", German = "Telaintheas Börse", Russian = "Telainthea's Purse" } },
			{ name = { English = "Zeuxippe's Purse", French = "Bourse de Zeuxippe", German = "Zeuxippes Börse", Russian = "Zeuxippe's Purse" } },
			{ name = { English = "Ali's Third Purse", French = "Troisième bourse d'Ali", German = "Alis dritte Börse", Russian = "Ali's Third Purse" } },
			{ name = { English = "Haraxironi's Purse", French = "Bourse d'Haraxironi", German = "Haraxironis Börse", Russian = "Haraxironi's Purse" } },
			{ name = { English = "Pegasa's Purse", French = "Bourse de Pegasa", German = "Pegasas Börse", Russian = "Pegasa's Purse" } },
			{ name = { English = "Memphoe's Purse", French = "Bourse de Memphoe", German = "Memphoes Börse", Russian = "Memphoe's Purse" } },
		}
	},
}
