﻿MapExtension.Events.Unit = {
	MostWantedFilter = { English = "Most Wanted", French = "Ennemi public numéro 1", German = "Meistgesucht", Russian = "Most Wanted" }
}

function MapExtension.Events.Unit.Add (handle, units)
	local list = Inspect.Unit.Detail(units)
	for k, v in pairs(list) do
		if v ~= false and v.name ~= nil and v.coordX ~= nil and v.coordY ~= nil and v.coordZ ~= nil then
			MapExtension.Tracking.AddElement({ id = k, description = v.name, coordX = v.coordX, coordY = v.coordY, coordZ = v.coordZ, flags = { 
				raremobs = v.guaranteedLoot or false,
				mostwanted = v.nameSecondary == MapExtension.Events.Unit.MostWantedFilter[MapExtension.AE.Language],
				unstablethieves = not v.player and v.relation == "friendly" and v.nameSecondary == nil,
				namedmobs = v.relation == "hostile" and not v.player,
				farseers = not v.player and v.relation == "friendly" and v.nameSecondary == nil
			}  }, 2)
		end
	end
end
